#include "precompiledHeadersBasics.h"
#include "X4GlobalDefinitions.h"

#include "x4basics_rcc.h"

#if (defined X4_PLATFORM_MSVC || defined X4_PLATFORM_MINGW_GCC)

BOOL APIENTRY DllMain(HMODULE hModule,
							 DWORD  ul_reason_for_call,
							 LPVOID lpReserved )
{
	UNREFERENCED_PARAMETER(hModule);
	UNREFERENCED_PARAMETER(lpReserved);
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
		qInitResources();
		break;
	case DLL_THREAD_ATTACH:
		break;
	case DLL_THREAD_DETACH:
		break;
	case DLL_PROCESS_DETACH:
		break;
	};
	return TRUE;
}

#else

	#error("unsupported platform")

#endif
