//---------------------------------------------------------------------------
#ifndef PersistentH
#define PersistentH
//---------------------------------------------------------------------------
#include "x4core.h"
//---------------------------------------------------------------------------
#include "Object.h"
#include "MetaClass.h"
//---------------------------------------------------------------------------

namespace X4
{

	class OutputObjectStream;
	class InputObjectStream;


	class X4CORE_API Persistent : public Object
	{
		X4_CLASS(Persistent);

		public:
			virtual void write(OutputObjectStream *s) const;
			virtual void read(InputObjectStream *s);


			// Standard object I/O: read/write all properties declared as stream properties
			void writeObjectProperties(OutputObjectStream *s) const;
			void readObjectProperties(InputObjectStream *s);
	};

}

#endif
