#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "BooleanPropertyEditor.h"
//---------------------------------------------------------------------------
#include "Object.h"
#include "BooleanElementEditor.h"
//---------------------------------------------------------------------------
using namespace X4;

IMPLEMENT_X4_CLASS( BooleanPropertyEditor, 0 )
{
}


BooleanPropertyEditor::BooleanPropertyEditor()
{
	m_ElementEditor = NULL;
}

BooleanPropertyEditor::~BooleanPropertyEditor(void)
{
}

QWidget * BooleanPropertyEditor::makeEditor(QWidget *parent, bool readOnly)
{
	x4Assert( m_Object != NULL );
	x4Assert( m_Property != NULL );
	x4Assert( m_ElementEditor == NULL );

	m_ElementEditor = new BooleanElementEditor( parent );
	m_ElementEditor->setup( m_Object, m_Offset, m_Property, readOnly );

	return m_ElementEditor;
}

void BooleanPropertyEditor::update()
{
	x4Assert( m_ElementEditor != NULL );
	m_ElementEditor->sltUpdate();
}

card32 BooleanPropertyEditor::getPreferredHeight()
{
	return 30;
}