//---------------------------------------------------------------------------
#ifndef ClassTypePropertyEditorH
#define ClassTypePropertyEditorH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
#include "Object.h"
//---------------------------------------------------------------------------

namespace X4 {

class ClassTypeClassPropertyEditorWidget;

class ClassTypePropertyEditor : public PropertyEditor
{
	X4_CLASS( ClassTypePropertyEditor )

private:
	
	ClassTypeClassPropertyEditorWidget	*	m_ElementEditor;

	void writeBackSelection();
	
public:
	ClassTypePropertyEditor();
	~ClassTypePropertyEditor();

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();

};


}

#endif