//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "EnumerationPropertyEditor.h"
//---------------------------------------------------------------------------
#include "EnumerationElementEditor.h"
//---------------------------------------------------------------------------

using namespace X4;

IMPLEMENT_X4_CLASS( EnumerationPropertyEditor, 0 )
{
}


EnumerationPropertyEditor::EnumerationPropertyEditor(void)
{
	m_ElementEditor = NULL;
}

QWidget * EnumerationPropertyEditor::makeEditor(QWidget *parent, bool readOnly)
{
	x4Assert( m_Object != NULL );
	x4Assert( m_Property != NULL );
	x4Assert( m_ElementEditor == NULL );

	m_ElementEditor = new EnumerationElementEditor( parent );
	m_ElementEditor->setup( m_Object, m_Offset, m_Property, readOnly );

	return m_ElementEditor;
}

void EnumerationPropertyEditor::update()
{
	x4Assert( m_ElementEditor != NULL );
	m_ElementEditor->sltUpdate();
}

card32 EnumerationPropertyEditor::getPreferredHeight()
{
	x4Assert( m_ElementEditor != NULL );
	return m_ElementEditor->height();
}