//---------------------------------------------------------------------------
#ifndef EnumerationPropertyEditorH
#define EnumerationPropertyEditorH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
//---------------------------------------------------------------------------

namespace X4 {

class EnumerationElementEditor;

class EnumerationPropertyEditor : public PropertyEditor
{
	X4_CLASS( EnumerationPropertyEditor )

private:

	EnumerationElementEditor	*	m_ElementEditor;

public:
	EnumerationPropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();


};

}

#endif