//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "FileNamePropertyEditor.h"
//---------------------------------------------------------------------------
#include "FileNameElementEditor.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------



IMPLEMENT_X4_CLASS( FileNamePropertyEditor, 0 )
{
}


FileNamePropertyEditor::FileNamePropertyEditor(void)
{
	m_ElementEditor = NULL;
}

FileNamePropertyEditor::~FileNamePropertyEditor(void)
{
}

QWidget * FileNamePropertyEditor::makeEditor(QWidget *parent, bool readOnly)
{
	x4Assert( m_Object != NULL );
	x4Assert( m_Property != NULL );
	x4Assert( m_ElementEditor == NULL );

	m_ElementEditor = new FileNameElementEditor( parent );
	m_ElementEditor->setup( m_Object, m_Offset, m_Property, readOnly );

	return m_ElementEditor;

}

void FileNamePropertyEditor::update()
{
	x4Assert( m_ElementEditor != NULL );
	m_ElementEditor->sltUpdate();
}

card32 FileNamePropertyEditor::getPreferredHeight()
{
	x4Assert( m_ElementEditor != NULL );
	return m_ElementEditor->height();
}