//---------------------------------------------------------------------------
#ifndef FileNamePropertyEditorH
#define FileNamePropertyEditorH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
//---------------------------------------------------------------------------


namespace X4 {

class FileNameElementEditor;

class X4INTERFACE_API FileNamePropertyEditor : public PropertyEditor
{
	X4_CLASS( FileNamePropertyEditor )

private:

	FileNameElementEditor	*	m_ElementEditor;

public:
	FileNamePropertyEditor(void);
	~FileNamePropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();


};

}

#endif