#ifndef FixedArrayElementEditorH
#define FixedArrayElementEditorH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include "ElementEditor.h"
//---------------------------------------------------------------------------
#include <vector>
#include "Object.h"
//---------------------------------------------------------------------------

namespace X4
{

class FixedArrayClassProperty;
class PropertyEditor;
class ClassProperty;

class FixedArrayElementEditor : public ElementEditor
{
private:
	
	FixedArrayClassProperty	*	m_Property;
	Object						*	m_Object;
	std::vector<PropertyEditor*>		m_Editors;
	pointer_diff					m_Offset;


public:
	FixedArrayElementEditor(QWidget * parent=NULL, Qt::WindowFlags f=0);
	~FixedArrayElementEditor(void);

	/// setup in property mode
	void setup( Object * obj, pointer_diff offset, ClassProperty * prop, bool readOnly );


protected:
		/// update editor
	virtual void updateEditor();

};

}

#endif