#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "FixedArrayPropertyEditor.h"
//---------------------------------------------------------------------------
#include "FixedArrayElementEditor.h"
//---------------------------------------------------------------------------
using namespace X4;


IMPLEMENT_X4_CLASS( FixedArrayPropertyEditor, 0 )
{
}


FixedArrayPropertyEditor::FixedArrayPropertyEditor()
{
	m_ElementEditor = NULL;
}

FixedArrayPropertyEditor::~FixedArrayPropertyEditor(void)
{
}

QWidget * FixedArrayPropertyEditor::makeEditor(QWidget *parent, bool readOnly)
{
	x4Assert( m_Object != NULL );
	x4Assert( m_Property != NULL );
	x4Assert( m_ElementEditor == NULL );

	m_ElementEditor = new FixedArrayElementEditor( parent );
	m_ElementEditor->setup( m_Object, m_Offset, m_Property, readOnly );

	return m_ElementEditor;
}

void FixedArrayPropertyEditor::update()
{
	x4Assert( m_ElementEditor != NULL );
	m_ElementEditor->sltUpdate();
}

card32 FixedArrayPropertyEditor::getPreferredHeight()
{
	x4Assert( m_ElementEditor != NULL );
	return m_ElementEditor->height();
}