//---------------------------------------------------------------------------
#ifndef IEditorH
#define IEditorH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------

namespace X4 {

class Object;

class IEditor { /* INTERFACE */
 public:
   virtual Object *getObject() = 0;
   virtual void update() = 0;
   virtual void apply() = 0;
   virtual ~IEditor() {}
};

}

#endif
 