#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "ObjectListPropertyEditor.h"
//---------------------------------------------------------------------------
#include "ObjectListElementEditor.h"
//---------------------------------------------------------------------------
using namespace X4;

IMPLEMENT_X4_CLASS( ObjectListPropertyEditor ,0)
{
}


ObjectListPropertyEditor::ObjectListPropertyEditor(void)
{
	m_ElementEditor = NULL;
}

QWidget * ObjectListPropertyEditor::makeEditor(QWidget *parent, bool readOnly)
{
	x4Assert( m_Object != NULL );
	x4Assert( m_Property != NULL );
	x4Assert( m_ElementEditor == NULL );

	m_ElementEditor = new ObjectListElementEditor( parent );
	m_ElementEditor->setup( m_Object, m_Offset, m_Property, readOnly );

	return m_ElementEditor;
}

void ObjectListPropertyEditor::update()
{
	x4Assert( m_ElementEditor != NULL );
	m_ElementEditor->sltUpdate();
}

card32 ObjectListPropertyEditor::getPreferredHeight()
{
	x4Assert( m_ElementEditor != NULL );
	return m_ElementEditor->height();
}