#ifndef ObjectListPropertyEditorH
#define ObjectListPropertyEditorH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
//---------------------------------------------------------------------------

namespace X4
{

class ObjectListElementEditor;

class ObjectListPropertyEditor : public PropertyEditor
{
	X4_CLASS( ObjectListPropertyEditor )

private:
	
	ObjectListElementEditor	*	m_ElementEditor;
public:
	ObjectListPropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();
};

}

#endif