#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "ObjectPropertyEditor.h"
//---------------------------------------------------------------------------
#include "ObjectElementEditor.h"
//---------------------------------------------------------------------------
using namespace X4;

IMPLEMENT_X4_CLASS( ObjectPropertyEditor ,0)
{
}


ObjectPropertyEditor::ObjectPropertyEditor(void)
{
	m_ElementEditor = NULL;
}

ObjectPropertyEditor::~ObjectPropertyEditor(void)
{
}

QWidget * ObjectPropertyEditor::makeEditor(QWidget *parent, bool readOnly)
{
	x4Assert( m_Object != NULL );
	x4Assert( m_Property != NULL );
	x4Assert( m_ElementEditor == NULL );

	m_ElementEditor = new ObjectElementEditor( parent );
	m_ElementEditor->setup( m_Object, m_Offset, m_Property, readOnly );

	return m_ElementEditor;
}

void ObjectPropertyEditor::update()
{
	x4Assert( m_ElementEditor != NULL );
	m_ElementEditor->sltUpdate();
}

card32 ObjectPropertyEditor::getPreferredHeight()
{
	x4Assert( m_ElementEditor != NULL );
	return m_ElementEditor->height();
}