#ifndef OnlineHelpWidgetH
#define OnlineHelpWidgetH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include <QWidget>
#include "X4Types.h"
#include <QDirModel>
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep, include it here
#include "OnlineHelpWidgetForm_ui.h"
//---------------------------------------------------------------------------

namespace X4
{

class OnlineHelpWidget :
	public QWidget
{
		Q_OBJECT

private:
	QDirModel *dModel;

public:
	OnlineHelpWidget(void);
	~OnlineHelpWidget(void);

	void setSourceFile(const char* name);
	void showIndex();

private slots:
	void sltIndexClicked(const QModelIndex& index);
	void on_textBrowser_anchorClicked(const QUrl & link);

protected:
	///used to access buttons, etc. from QtDesigner
	Ui_OnlineHelpWidgetForm ui;


};

extern OnlineHelpWidget *onlineHelpWindow;

}

#endif
