#ifndef StandAloneEditorWidgetH
#define StandAloneEditorWidgetH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include "X4Types.h"
//---------------------------------------------------------------------------

namespace X4 {

class ClassEditor;

/// this is an interface that all stand-alone editors widgets must implement for proper cleanup 
/// (as there is no container object, the editor widget must clean-up itself)
class X4INTERFACE_API StandAloneEditorWidget {
 public:
	virtual void setEditorObjForCleanup(ClassEditor *ed) = 0;
};


}

#endif
