#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "StringPropertyEditor.h"
//---------------------------------------------------------------------------
#include "StringElementEditor.h"
//---------------------------------------------------------------------------

using namespace X4;

IMPLEMENT_X4_CLASS( StringPropertyEditor, 0 )
{
}


StringPropertyEditor::StringPropertyEditor(void)
{
	m_ElementEditor = NULL;
}

StringPropertyEditor::~StringPropertyEditor(void)
{
}

QWidget * StringPropertyEditor::makeEditor(QWidget *parent, bool readOnly)
{
	x4Assert( m_Object != NULL );
	x4Assert( m_Property != NULL );
	x4Assert( m_ElementEditor == NULL );

	m_ElementEditor = new StringElementEditor( parent );
	m_ElementEditor->setup( m_Object, m_Offset, m_Property, readOnly );

	return m_ElementEditor;

}

void StringPropertyEditor::update()
{
	x4Assert( m_ElementEditor != NULL );
	m_ElementEditor->sltUpdate();
}

card32 StringPropertyEditor::getPreferredHeight()
{
	x4Assert( m_ElementEditor != NULL );
	return m_ElementEditor->height();
}