//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "MathIOTools.h"
#include "ObjectStreams.h"
#include "BoundingBox.inline.h"
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------


void X4::writeBoundingBox3f(OutputObjectStream *s, const BoundingBox3f &bb) {
   s->write<float32>(bb.lowerCorner[0]);
   s->write<float32>(bb.lowerCorner[1]);
   s->write<float32>(bb.lowerCorner[2]);

   s->write<float32>(bb.upperCorner[0]);
   s->write<float32>(bb.upperCorner[1]);
   s->write<float32>(bb.upperCorner[2]);
}

void X4::readBoundingBox3f(InputObjectStream *s, BoundingBox3f &bb) {
   s->read<float32>(bb.lowerCorner[0]);
   s->read<float32>(bb.lowerCorner[1]);
   s->read<float32>(bb.lowerCorner[2]);

   s->read<float32>(bb.upperCorner[0]);
   s->read<float32>(bb.upperCorner[1]);
   s->read<float32>(bb.upperCorner[2]);
}
