//---------------------------------------------------------------------------
#ifndef PolarCoordinatesH
#define PolarCoordinatesH
//---------------------------------------------------------------------------
#include "x4math.h"
//---------------------------------------------------------------------------
#include "LinearAlgebra.h"
//---------------------------------------------------------------------------


namespace X4 {

typedef Vector2f PolarCoords;

extern X4MATH_API Vector3f polarCoordsToNormal(const Vector2f &pCoords);
extern X4MATH_API Vector2f normalToPolarCoords(const Vector3f &normal);

}

#endif
