#include "StdAfx.h"

#include "x4math.h"

#include <TaggingMacros.h>
#include <X4Types.h>

#include "x4math_rcc.h"

using namespace X4;

#include "x4math.init.cpp"
#include "NormalDistribution.h"



BEGIN_INIT_MODULE
    qInitResources();
	NormalDistribution::initExpTable();
END_INIT_MODULE 

BEGIN_SHUTDOWN_MODULE
	NormalDistribution::clearExpTable();
END_SHUTDOWN_MODULE 

BEGIN_X4_LOADABLE_MODULE(x4math)
	#include "x4math.tags.h"
END_X4_LOADABLE_MODULE(x4math)


