SET_MODULE_TYPE_LOADABLE_MODULE
// modules that the new module is based on. expand as required.
ADD_DEPENDENCY("x4basics")
ADD_DEPENDENCY("x4tools")
ADD_DEPENDENCY("x4modules")
ADD_DEPENDENCY("x4core")
ADD_DEPENDENCY("opencv")

ADD_AUTHOR("Michael Wand")
ADD_AUTHOR("Philipp Jenke")
ADD_AUTHOR("Martin Bokeloh")
ADD_AUTHOR("Art Tevs")
ADD_AUTHOR("Alexander Berner")
ADD_AUTHOR("Mark Hoffman")
ADD_AUTHOR("Benjamin Maier")
ADD_AUTHOR("Arno Fleck")

ADD_INSTITUITION("WSI/GRIS, Tbingen University")
ADD_INSTITUITION("MPI Informatik Saarbrcken")

ADD_LICENSE("BSD")

// an icon for this module
ADD_ICON(":/images_x4math/images/x4math.png")

ADD_CLASS("Plane3f", "Persistent")
ADD_CLASS("Plane", "Persistent")

ADD_CLASS("Line", "Persistent")
ADD_CLASS("Line3f", "Persistent")

// Alternative: specify file to include for this declaration
// ADD_CLASS_INC("SomeNewClass", "Persistent", "AHeaderWithManyClasses.h")
