//---------------------------------------------------------------------------
#ifndef HistogramH
#define HistogramH
//---------------------------------------------------------------------------
#include "x4miscFoundation.h"
//---------------------------------------------------------------------------
#include <map>
#include "X4Types.h"
//---------------------------------------------------------------------------

namespace X4 {

class X4MISCFOUNDATION_API Histogram {
 private:
	std::map<int, double> entries;
	
 public:	
	void addEntry(int bin, double increment);
	std::string toString(float32 binScale = 1.0f);
};

}

#endif