//---------------------------------------------------------------------------
#ifndef ViewFrustumRoutinesH
#define ViewFrustumRoutinesH
//---------------------------------------------------------------------------
#include "x4miscFoundation.h"
//---------------------------------------------------------------------------
#include "Camera.h"
#include "ViewFrustum.h"
#include "LinearAlgebra.h"
#include "Frustum.h"
//---------------------------------------------------------------------------

namespace X4 {


extern X4MISCFOUNDATION_API BoundedFrustum3f setViewingFrustum(const Camera &camera, const ViewFrustum &vFrustum,
                                                  float32 scalefactor = 1.0f);

extern X4MISCFOUNDATION_API BoundedFrustum3f setViewingFrustumTransformed(const Camera &camera, const ViewFrustum &vFrustum,
                                   const Matrix4f &absTrans, const Matrix4f &normalTrans,
                                   float32 scalefactor = 1.0f);

}


#endif
