//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "X4TypeNames.h"
//---------------------------------------------------------------------------
#include "X4Exception.h"
//---------------------------------------------------------------------------

namespace X4
{
	REGISTER_TYPE_NAME(int8,  "char");
	REGISTER_TYPE_NAME(int16, "short");
	REGISTER_TYPE_NAME(int32, "int");
	REGISTER_TYPE_NAME(int64, "long");

	REGISTER_TYPE_NAME(card8,  "uchar");
	REGISTER_TYPE_NAME(card16, "ushort");
	REGISTER_TYPE_NAME(card32, "uint");
	REGISTER_TYPE_NAME(card64, "ulong");

	REGISTER_TYPE_NAME(float32, "float");
	REGISTER_TYPE_NAME(float64, "double");



	REGISTER_TYPE_SHORTNAME(int8,  "b");
	REGISTER_TYPE_SHORTNAME(int16, "h");
	REGISTER_TYPE_SHORTNAME(int32, "i");
	REGISTER_TYPE_SHORTNAME(int64, "l");

	REGISTER_TYPE_SHORTNAME(card8,  "B");
	REGISTER_TYPE_SHORTNAME(card16, "H");
	REGISTER_TYPE_SHORTNAME(card32, "I");
	REGISTER_TYPE_SHORTNAME(card64, "L");

	REGISTER_TYPE_SHORTNAME(float32, "f");
	REGISTER_TYPE_SHORTNAME(float64, "d");
}
