//---------------------------------------------------------------------------
#ifndef ARPointCloudSeqEvalH
#define ARPointCloudSeqEvalH
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
#include "ARSequenceEvaluator.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   evaluates sequences with point clouds
///
class X3DEFORMATION_API ARPointCloudSeqEval : public ARSequenceEvaluator {
	X4_CLASS( ARPointCloudSeqEval )
 private:

 public:
	ARPointCloudSeqEval();

   virtual void evalSeq(
      ARSequence *seq, 
      SGListNode *target, 
      DeformationEvaluator *deformEval,
      ARSettings *settings);

   ~ARPointCloudSeqEval();
};

}

#endif