//---------------------------------------------------------------------------
#ifndef WeightFittingTestH
#define WeightFittingTestH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   test code
///
class X3DEFORMATION_API WeightFittingTest : public Persistent {
	X4_CLASS( WeightFittingTest )
 private:
   float32 baseWeight;
   float32 denomOffset;
   int32 filterWindowSize;
   card32 numEigenIterations;
   
	void execute();
 public:
	WeightFittingTest();

   ~WeightFittingTest();
};

}

#endif