//---------------------------------------------------------------------------
#ifndef ShapeEvaluatorH
#define ShapeEvaluatorH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "AROptimizationTool.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   this class evaluates the shapes computed with a ShapeReconstruction tool
///
class X3DEFORMATION_API ShapeEvaluator : public AROptimizationTool {
	X4_ABSTRACT_CLASS( ShapeEvaluator )
 public:
   virtual PointCloud *evaluate() = 0;
};

}

#endif