//---------------------------------------------------------------------------
#ifndef ARCOMPUTESHAPEDISTANCE_H
#define ARCOMPUTESHAPEDISTANCE_H
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "X4Types.h"
//---------------------------------------------------------------------------


namespace X4 {

class PointCloud;
class ARSettings;


/// computes the distance between two point clouds using ICP constraints
class X3DEFORMATION_API ARComputeShapeDistance {
 public:
   /// computes the symmetric mean-square distance between two shapes
   static void computeShapeDistance(
      PointCloud *pc1,
      PointCloud *pc2,
      ARSettings *settings
   );
};


}

#endif
