//---------------------------------------------------------------------------
#ifndef ARSetUrshapeDataWeightH
#define ARSetUrshapeDataWeightH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace X4 {

class ARSequence;
class DeformationEvaluator;
class ARSettings;

///
///   This class counts the number of adjacent points and accumulates the count in a channel
///
class X3DEFORMATION_API ARSetUrshapeDataWeight : public Persistent {
 public:
   static void accumDataWeight(
      ARSequence *seq, 
      const std::vector<PointCloud*> &data,
      DeformationEvaluator *eval,
      ARSettings *settings);
};

}

#endif