//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "ARVisualizationSettings.h"
//---------------------------------------------------------------------------
#include "CopyObjectProperties.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------



IMPLEMENT_X4_CLASS( ARVisualizationSettings , 0 ) {
	BEGIN_CLASS_INIT( ARVisualizationSettings );
	ADD_BOOLEAN_PROP(showVisualizations, 0)
   ADD_BOOLEAN_PROP(showConstraints, 0)
}

// ----

ARVisualizationSettings::ARVisualizationSettings() {
	showVisualizations = true;
   showConstraints = true;
}

void ARVisualizationSettings::assign(const Object* obj, X4CopyContext *context) {
	copyObjectProperties(obj, this);
}



