//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "ARGlobalOptSettings.h"
//---------------------------------------------------------------------------
#include "CopyObjectProperties.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------



IMPLEMENT_X4_CLASS( ARGlobalOptSettings , 0 ) {
	BEGIN_CLASS_INIT( ARGlobalOptSettings );
   ADD_BOOLEAN_PROP(optimizeShape, 0)
   ADD_BOOLEAN_PROP(optimizeUrshapeDeformation, 0)
   ADD_BOOLEAN_PROP(optimizeDeformation, 0)
   ADD_BOOLEAN_PROP(removeUnsupportedPoints, 0)
}

// ----

ARGlobalOptSettings::ARGlobalOptSettings() {
   optimizeShape = true;
   optimizeUrshapeDeformation = false;
   optimizeDeformation = true;
   removeUnsupportedPoints = true;
}

void ARGlobalOptSettings::assign(const Object* obj, X4CopyContext *context) {
	copyObjectProperties(obj, this);
}

ARGlobalOptSettings::~ARGlobalOptSettings() {
}



