#ifndef AddToToolbarWidgetH
#define AddToToolbarWidgetH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include <QDialog>
#include <QtCore/QTimer>
#include "X4Types.h"
#include "RGBAImage.h"
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep, include it here
#include "AddToToolbarDlg_ui.h"
//---------------------------------------------------------------------------

namespace X4
{
class SceneEditorWidget;


class X3EDITOR_API AddToToolbarWidget : public QDialog
{
	Q_OBJECT

private:

	RGBAImage	*	m_Icon;

public:
	AddToToolbarWidget(QWidget *parent);
	~AddToToolbarWidget(void);


	enum EEventType
	{
		Class=1,
		Object=2,
		Command=3,
	};

	void setup( std::string className, bool et_object, bool et_command, EEventType init_eventType );
	
	int getEventType();
	RGBAImage * getIcon();
	std::string getShortDesc();
	std::string getTooltip();
	int getShortCutKey();
	int getShortCutModifer();

	
	
private slots:

	void on_pbLoad_clicked();

protected:
	///used to access buttons, etc. from QtDesigner
	Ui_AddToToolbarDlg ui;


};


}

#endif
