//---------------------------------------------------------------------------
#ifndef GeometricRangeIteratorAdaptorH
#define GeometricRangeIteratorAdaptorH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include "PointCloudIterators.h"
#include "GeometricRange.h"
//---------------------------------------------------------------------------

namespace X4 {


class X3EDITOR_API GeometricRangeIteratorAdaptor :   //public BasicGeometricRangeIteratorAdaptor,
                                                public IteratorAdaptor
{
 protected:
   GeometricRange *m_range;
   AAT POSITION;

   virtual inline bool pointMeetsCond(){
      return  m_range->intersects(m_base->get3f(POSITION));
   }



 public:
   GeometricRangeIteratorAdaptor(PointCloudIterator* native, const VertexDescriptor *vd,GeometricRange *r);
   ~GeometricRangeIteratorAdaptor(){};

};

}


#endif

