#ifndef ImportAssistantWidgetH
#define ImportAssistantWidgetH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include <QWidget>
//#include "X4Types.h"
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep, include it here
#include "ImportAssistantWidgetForm_ui.h"
//---------------------------------------------------------------------------

namespace X4
{

class PCCommand;
class ClassEditor;
class Scene;

class ImportAssistantWidget : public QWidget
{
	Q_OBJECT

private:
	PCCommand* m_PCCCreator;
	/// class editor of m_PCCCreator
	ClassEditor *m_PCCCreatorEditor;
	/// class editor widget of m_PCCCreator
   QWidget *m_PCCCreatorEditorWidget;

	PCCommand* m_PCCImporter;
	/// class editor of m_PCCImporter
   ClassEditor *m_PCCImporterEditor;
	/// class editor widget of m_PCCImporter
   QWidget *m_PCCImporterEditorWidget;

	/// holds scene for execute of PCCs
	Scene* scene;


public:
	ImportAssistantWidget(QWidget *parent, Scene* scene);
	~ImportAssistantWidget(void);


public slots:
	void on_PBExecute_clicked();


protected:
	///used to access buttons, etc. from QtDesigner
	Ui_ImportAssistantWidgetForm ui;


};


}

#endif
