#ifndef ImportMeshOpenAssetH
#define ImportMeshOpenAssetH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
	import mesh via open asset (supports various formats including collada,3ds,blender,obj,ply)
*/
class X3EDITOR_API ImportMeshOpenAsset 
{
public:

	/// tries to import mesh, returns NULL if failed
	static UnstructuredInCoreTriangleMesh * import( const std::string &filename );


};

}

#endif