#ifndef OPERATORNOARGS_H
#define OPERATORNOARGS_H

#include "x3editor.h"

namespace X4 {

	/**
	* A callback struct used as a base class for lambda functions executed within the main thread.
	* If a tool is executing a method in a thread this can be used to force some function
	* to be executed in the main gui thread, such as a message box for example.
	**/
	struct OperatorNoArgs
	{
		OperatorNoArgs() {}
		virtual ~OperatorNoArgs(){}
		virtual void operator()() {};
	};

}

#endif