#ifndef PCCMeshImportOAH
#define PCCMeshImportOAH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
	import meshes using open asset library
*/
class X3EDITOR_API PCCMeshImportOA : public PCCommand
{
	X4_CLASS( PCCMeshImportOA )

public:
	PCCMeshImportOA(void);
	~PCCMeshImportOA(void);

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);

	void import();
	virtual void execute(Scene *scene);

private:

	std::string m_Filename;


};

}

#endif