//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "PCCSetMaterial.h"
//---------------------------------------------------------------------------
#include "SceneObject.h"
#include "PointCloudTools.h"
//---------------------------------------------------------------------------
#include <vector>
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------



IMPLEMENT_X4_CLASS(PCCSetMaterial, 0)
{
	BEGIN_CLASS_INIT(PCCSetMaterial);
	ADD_CARD32_PROP(materialIndex, 0)
}


// ---


PCCSetMaterial::PCCSetMaterial() {
	materialIndex = 0;
}


void PCCSetMaterial::execute(Scene *scene) {
	unsigned int m;
	std::vector<std::string> selection = scene->getRootState()->staticState->getSelectedNodes();
	for ( m = 0; m < selection.size(); m++ ) {
		SceneObject *so = getSceneObject( scene, selection[m] );

		if( !so )
			continue;

		so->setMaterialIndex(materialIndex);
	}
}

