//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
#include "CopyObjectProperties.h"
#include "Tools.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------

IMPLEMENT_X4_ABSTRACT_CLASS( PCCommand, 0 )
{
	BEGIN_CLASS_INIT( PCCommand )
}

/**
 * Constructor
 */
PCCommand::PCCommand()
{
	scene = NULL;
	sceneEditorWidget = NULL;
	onChange = NULL;
}

void PCCommand::assign( const Object* obj, X4CopyContext *context ) 
{
   copyObjectProperties( obj, this );
   forget( context );
   // this should be in here, but commented to avoid compatibility problems
   //const PCCommand *other = dynamic_cast<const PCCommand*>(obj);
   //if (other) {
   //   this->scene = other->scene;
   //}
}

void PCCommand::connectScene( Scene *scene, OnSceneChangeCallback *onChange, QWidget *sceneEditorWidget ) 
{
	this->scene = scene;
	if (onChange) this->onChange = onChange;
	if (sceneEditorWidget) this->sceneEditorWidget = sceneEditorWidget;
}


