//---------------------------------------------------------------------------
#ifndef PointCloudConversionFormH
#define PointCloudConversionFormH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include <QWidget>
#include <QDialog>
#include "X4Types.h"
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep, include it here
#include "PointCloudConversionForm_ui.h"
//---------------------------------------------------------------------------


namespace X4 {


class PointCloudConversionWidget: public QDialog
{

	Q_OBJECT;
	
private:	// User declarations
public:		// User declarations
   PointCloudConversionWidget(QWidget* parent);
   static const int CANCEL = 0;
   static const int UNSTRUCTURED = 1;
   static const int HIERARCHICAL = 2;
   static const int OUT_OF_CORE = 3;
   static void execute(QWidget* Owner, int &action, bool &delOriginal, card32 &allocatorIndex,
                       int &maxNodesInMem, int &pointsInLeaf, int &mrGrid, card32 numAllocatorsInSGState);

   public slots:
   void  on_rb_unstructured_clicked();
   void  on_rb_hierout_clicked();
   void  on_rb_hierin_clicked();
   

   protected:
	Ui_PointCloudConversionForm ui;
};

}
#endif
