//---------------------------------------------------------------------------
#ifndef GLImageLensCorrectionH
#define GLImageLensCorrectionH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "GLImageWarper.h"
//---------------------------------------------------------------------------


namespace X4
{

class X3EDITOR2_API GLImageLensCorrection : public GLImageWarper
{
private:
   static MetaClass *GLImageLensCorrectionMetaClass;
   static Object* newInstance();

public:
   virtual const MetaClass *getInstanceClass() const;
   static const MetaClass *getClass();
   static void init(const MetaClass *parentClass);
   static void shutdown();

protected:

   virtual Vector2f calculateWarpCoords( const Vector2f x, const Vector2i dim );


};



}


#endif
 