#ifndef ManualImageFeaturesH
#define ManualImageFeaturesH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace X4
{
	class RGBAImage;
	class ManualImageFeaturesEditorWidget;
/**
	plz comment your class
*/
class X3EDITOR2_API ManualImageFeatures : public Persistent
{
	X4_CLASS( ManualImageFeatures )

private:

	friend ManualImageFeaturesEditorWidget;
	std::vector<Vector2f> imPoints;
	IMPLEMENT_VAR_ARRAY_METHODS_STL(imPoints)
	IMPLEMENT_VAR_ARRAY_METHODS_STL(imPoints_reProjected)
	RGBAImage* image;

public:
	std::vector<Vector2f> imPoints_reProjected;

	ManualImageFeatures(void);
	~ManualImageFeatures(void);
	RGBAImage* getImage(){return image;}
	std::vector<Vector2f> getFeatures(){return imPoints;};
	std::vector<Vector2f> getFeatures_reProjected(){return imPoints_reProjected;};



   virtual void assign(const Object* obj, X4CopyContext *context = NULL);

};

}

#endif