//---------------------------------------------------------------------------
#ifndef PCCDeleteFramesH
#define PCCDeleteFramesH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   this command removes every but the nth object from a list node
///
class X3EDITOR2_API PCCDeleteFrames : public PCCommand {
	X4_CLASS( PCCDeleteFrames )
 private:
   std::string targetList;
   card32 keepEveryNth;
   
 public:
	PCCDeleteFrames();

   virtual void execute(Scene *scene);

   ~PCCDeleteFrames();
};

}

#endif