//---------------------------------------------------------------------------
#ifndef PCCNormalizeAnimationH
#define PCCNormalizeAnimationH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4 {

	class SGListNode;

///
///   scales animation to unit bounding cube
///
class X3EDITOR2_API PCCNormalizeAnimation : public PCCommand {
	X4_CLASS( PCCNormalizeAnimation )
 private:
   std::string target;

 public:
	PCCNormalizeAnimation();

	void unifySizeAndPosition(SGListNode* targetNode = NULL);
	//void unifySizeAndPosition();
	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
   virtual void execute(Scene *scene);
	void setTarget(std::string newTraget){target=newTraget;};
   ~PCCNormalizeAnimation();
   
};

}

#endif