//---------------------------------------------------------------------------
#ifndef PCCOutputSampleSpacingH
#define PCCOutputSampleSpacingH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   outputs the (average) sample spacing on the debug console
///
class X3EDITOR2_API PCCOutputSampleSpacing : public PCCommand {
	X4_CLASS( PCCOutputSampleSpacing )
 private:
   card32 histogramBins;

 public:
	PCCOutputSampleSpacing();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
   virtual void execute(Scene *scene);

   ~PCCOutputSampleSpacing();
};

}

#endif