#ifndef PCCTestKNNPerformanceH
#define PCCTestKNNPerformanceH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
	Test performance of KNN query
*/
class X3EDITOR2_API PCCTestKNNPerformance : public PCCommand
{
	X4_CLASS( PCCTestKNNPerformance )

	private:
		int32 numDataPoints;
		int32 numRuns;
		int32 numKNN;
		bool range;
		float32 epsilon;

	public:
		PCCTestKNNPerformance(void);
		~PCCTestKNNPerformance(void);

		void assign( const Object* obj, X4CopyContext *context = NULL );
		void execute( Scene *scene );
};

}

#endif