#ifndef PCITestMLSRendererH
#define PCITestMLSRendererH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCInteractionTool.h"
//---------------------------------------------------------------------------

namespace X4
{
	class GLTextureRect;
/**
	test mls raycasting renderer
*/
class X3EDITOR2_API PCITestMLSRenderer : public PCInteractionTool
{
	X4_CLASS( PCITestMLSRenderer )

private:

	GLTextureRect *	m_Texture;
	float32				m_SplatSize;

public:
	PCITestMLSRenderer(void);
	~PCITestMLSRenderer(void);

   virtual void assign(const Object* obj, X4CopyContext *context = NULL);

	virtual void mouseDown(int32 x, int32 y, MouseButtons buttonsState, Modifiers modifiersState) {}
	virtual void mouseMoved(int32 x, int32 y) {}
	virtual void mouseUp(int32 x, int32 y, MouseButtons buttonsState, Modifiers modifiersState) {}
	virtual void areaResize(card32 width, card32 height) {}

	virtual void keyPressed(char key) {}
	virtual void keyDown(GeneralKey key) {}
	virtual void keyUp(GeneralKey key) {}

	virtual void glDrawTool(GLContext *glContext);

};

}

#endif