#ifndef PCITopologyComputationEditorWidgetH 
#define PCITopologyComputationEditorWidgetH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "ClassEditor.h"
#include "PCITopologyComputationEditorForm_ui.h"
//---------------------------------------------------------------------------

namespace X4
{

class PCITopologyComputation;

class X3EDITOR2_API PCITopologyComputationEditorWidget : public QWidget
{
	Q_OBJECT

private:

	PCITopologyComputation	*	m_Object;

	///used to access buttons, etc. from QtDesigner
	Ui_PCITopologyComputationEditorForm ui;

public:
	PCITopologyComputationEditorWidget(QWidget * parent = NULL, Qt::WindowFlags f=0);
	~PCITopologyComputationEditorWidget(void);

	void setup( PCITopologyComputation * obj );

	/// update editor content with object data
	void updateEditor();


};

MAKE_CLASS_EDITOR( X3EDITOR2_API , PCITopologyComputation )


}

#endif