//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "TopologyEstimator.h"
//---------------------------------------------------------------------------
#include "PointSet.h"
#include "PointCloud.h"
#include "PCTopologyNeighborhoodIterator.h"
//---------------------------------------------------------------------------
#include <set>
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------

IMPLEMENT_X4_ABSTRACT_CLASS(TopologyEstimator, 0)
{
	BEGIN_CLASS_INIT(TopologyEstimator);
}


// --


IMPLEMENT_X4_CLASS(GreedyTopologyEstimator, 0)
{
	BEGIN_CLASS_INIT(GreedyTopologyEstimator);
	ADD_FLOAT32_PROP(initVerticesFraction, 0)
}


// ----


TopologyEstimator::TopologyEstimator() {}


// --

const GreedyTopologyEstimator::LocalModel GreedyTopologyEstimator::LM_NULL = GreedyTopologyEstimator::LocalModel(NULL_VECTOR3F, NULL_VECTOR3F);


GreedyTopologyEstimator::GreedyTopologyEstimator() {
	initVerticesFraction = 0.05f;
}


/*void GreedyTopologyEstimator::includeInitialAdjacentEdges(
	card32 vertexIndex, 
	set<Edge> &selectedEdges, 
	const std::vector<Vertex> &vertices, 
	set<Edge> &candidateEdges, 
	const InCorePCTopologyGraph *supersetTopology) 
{
	
} */


InCorePCTopologyGraph *GreedyTopologyEstimator::estimateTopology(PointCloud *pc, PointSet *ps, InCorePCTopologyGraph *supersetTopology, bool in2d) {
	InCorePCTopologyGraph *result = new InCorePCTopologyGraph();
	 /*
	VertexDescriptor vd;
	vd.pushAttrib(VAD("vindex", 2, VAD::DATA_FORMAT_INT32));
	vd.pushAttrib(VAD("color", 4, VAD::DATA_FORMAT_FLOAT32));
	result->clearAndSetup(&vd);

	const AAT POS = ps->getAAT("position");
	if (POS == NULL_AAT) {
		throw X4Exception("GreedyTopologyEstimator::estimateTopology() - cannot find position channel.");
	}

   if (!ps->getDescr()->providesAttribute("localModelUncertainty", 1, VAD::DATA_FORMAT_FLOAT32)) {
		throw X4Exception("GreedyTopologyEstimator::estimateTopology() - channel localModelUncertainty1f not found.");
	}	
	const AAT UNCERTAIN = ps->getAAT("localModelUncertainty");
	x4Assert(UNCERTAIN != NULL_AAT);
	
	PCTopologyNeighborhoodIterator it(supersetTopology, ps);
	const card32 numPoints = ps->getNumEntries();

	if (numPoints == 0) return result;

	std::vector<Vertex> vertices(numPoints);
	set<Edge> selectedEdges;
	set<Edge> candidateEdges;
	
	for (card32 i=0; i<numPoints; i++) {
		vertices[i] = Vertex(i, ps->get3f(i, POS), ps->get<float32, 1>(i, UNCERTAIN)[0]);
	}
	
	// select vertices with largest confidence
	{
		std::vector<Vertex> sortedVertices = vertices;
		sort(sortedVertices.begin(), sortedVertices.end());
		card32 n = max(1, (card32)(initVerticesFraction * sortedVertices.size());
		for (card32 i=0; i<n; i++) {
			includeInitialAdjacentEdges(sortedVertices[i].index, selectedEdges, vertices, candidateEdges, supersetTopology);
		}
	}
	
	while (!candidateEdges.empty()) {
		Edge nextEdge = *(candidateEdges.begin());
		candidateEdges.erase(candidateEdges.begin());
		if (nextEdge.weight > maxEdgeError) break;
		selectedEdges.insert(nextEdge);
		updateModel(nextEdge, candidateEdges, vertices);
	}

	buildResult(result, selectedEdges);
					  */
	return result;
}
