//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "NDTCell.h"
#include "FixedArrayClassProperty.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------

IMPLEMENT_X4_CLASS( NDTCell, 1 )
{
	BEGIN_CLASS_INIT( NDTCell )
	ADD_VECTOR3F_PROP( mean, 0 )
	ADD_VECTOR3F_PROP( eigenValues, 0 )
	ADD_VECTOR3F_PROP( color, 0 )
	ADD_MATRIX3F_PROP( invSigma, 0 )
	ADD_MATRIX3F_PROP( eigenVectors, 0 )
	ADD_VECTOR3F_PROP( bbox.lowerCorner, 1 )
	ADD_VECTOR3F_PROP( bbox.upperCorner, 1 )
}

NDTCell::NDTCell()
{
	mean = NULL_VECTOR3F;
	invSigma = IDENTITY3F;
	eigenValues = NULL_VECTOR3F;
	eigenVectors = IDENTITY3F;
	color = NULL_VECTOR3F;
	bbox = BoundingBox3f( makeVector3f( -1,-1,-1 ), makeVector3f( 1,1,1 ) );
	index3D = makeVector3i( -1, -1, -1 );
	valid = false;
}