#ifndef PCIPoissonReconstructionH
#define PCIPoissonReconstructionH
//---------------------------------------------------------------------------
#include "x3foundation_private.h"
//---------------------------------------------------------------------------
#include "PCInteractionTool.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
	plz comment your class
*/
class X3FOUNDATION_PRIVATE_API PCIPoissonReconstruction : public PCInteractionTool
{
	X4_CLASS( PCIPoissonReconstruction )

private:

	std::string dataPC;
	std::string reconstructedPC;
	float32 maxDistToData;


	void removeUnsupportetPoints();


public:
	PCIPoissonReconstruction(void);
	~PCIPoissonReconstruction(void);

   virtual void assign(const Object* obj, X4CopyContext *context = NULL);

   virtual void mouseDown(int32 x, int32 y, MouseButtons buttonsState, Modifiers modifiersState) {}
   virtual void mouseMoved(int32 x, int32 y) {}
   virtual void mouseUp(int32 x, int32 y, MouseButtons buttonsState, Modifiers modifiersState) {}
   virtual void areaResize(card32 width, card32 height){}


   virtual void keyDown(GeneralKey key){}
   virtual void keyUp(GeneralKey key) {}

   virtual void glDrawTool(GLContext *glContext){}

};

}

#endif