//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "VSTreeTNode.h"
#include "ObjectClassProperty.h"
#include "SeparatorClassProperty.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------

IMPLEMENT_X4_CLASS( VSTreeTNode, 0 )
{
	BEGIN_CLASS_INIT( VSTreeTNode )
	ADD_SEPARATOR( "T-Node" )
	ADD_OBJECT_PROP( child, 0, VSTreeNode::getClass(), true )
	ADD_MATRIX3F_PROP( T, 0 )
	ADD_VECTOR3F_PROP( center, 0 )
}

VSTreeTNode::VSTreeTNode()
{
	child = NULL;
}

VSTreeTNode::~VSTreeTNode()
{
	clear();
}

void VSTreeTNode::clear()
{
	if ( child != NULL ){
		child->clear();
		delete child;
		child = NULL;
	}
}