//---------------------------------------------------------------------------
#include "StdAfx.h"

//---------------------------------------------------------------------------
#include "MHSelectionIteratorAdaptor.h"
#include "PointSet.h"
#include "PointSet.inline.h"
#include "PointSetIterator.h"
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------


MHSelectionIteratorAdaptor::MHSelectionIteratorAdaptor
        ( PointCloudIterator* native, const VertexDescriptor *vd)
        :HierarchicalIteratorAdaptor(native, vd)
{
   //Check for flags
   x4Assert(m_vd->providesAttribute("flags"));
   FLAGS = m_vd->getToken("flags");

   //goto first selected Point
   this->reset();

}

MHSelectionIteratorAdaptor::~MHSelectionIteratorAdaptor(){
}