//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "MultiScalePointCloudParameters.h"
//---------------------------------------------------------------------------
#include "CopyObjectProperties.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------



IMPLEMENT_X4_CLASS(MultiScalePCParams, 0)
{
   BEGIN_CLASS_INIT(MultiScalePCParams)
   ADD_FLOAT32_PROP(baseGridSpacing, 0)
   ADD_FLOAT32_PROP(levelFactor, 0)
   ADD_FLOAT32_PROP(numLevels, 0)
}

void X4::MultiScalePCParams::assign( const Object* obj, X4CopyContext *context )
{
   copyObjectProperties(obj, this);
}

X4::MultiScalePCParams::MultiScalePCParams()
{
	baseGridSpacing = 0.01f;
   levelFactor = 2;
   numLevels = 6;
}
