//---------------------------------------------------------------------------
#ifndef SelectionIteratorAdaptorH
#define SelectionIteratorAdaptorH
//---------------------------------------------------------------------------
#include "x3geometry.h"
//---------------------------------------------------------------------------
#include "IteratorAdaptors.h"
//---------------------------------------------------------------------------

namespace X4 {



class X3GEOMETRY_API SelectionIteratorAdaptor : public IteratorAdaptor
{
 protected:

   protected:
   AAT FLAGS;

   virtual inline bool pointMeetsCond(){
      return  (  (m_base->get1i(FLAGS)) & PF_FLAG_SELECTED);
   }

 public:
   SelectionIteratorAdaptor(PointCloudIterator* native, const VertexDescriptor *vd);
   ~SelectionIteratorAdaptor();

};


}

#endif
