//---------------------------------------------------------------------------
#ifndef SuperIterator_templCodeH
#define SuperIterator_templCodeH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "SuperIterator.h"
//---------------------------------------------------------------------------

namespace X4 {

template<class DataType>
DataType SuperIterator::get(const AAT &token) const
{
	return *((DataType*)(m_BufferPtr + token.getOffset()));
}

template<class DataType>
void SuperIterator::set(const AAT &token, const DataType &data) const
{
	*((DataType*)(m_BufferPtr + token.getOffset())) = data;
}


}

#endif
