//---------------------------------------------------------------------------
#include "StdAfx.h"

//---------------------------------------------------------------------------
#include "VolumeObject.h"
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------



MetaClass* VolumeObject::VolumeObjectMetaClass = NULL;

const MetaClass* VolumeObject::getInstanceClass() const {
   return getClass();
}

const MetaClass* VolumeObject::getClass() {
   if (VolumeObjectMetaClass==NULL) {
      VolumeObjectMetaClass = new MetaClass("VolumeObject", "no description.",
                                            NULL, sizeof(VolumeObject));
   }
   return VolumeObjectMetaClass;
}

void VolumeObject::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass);
   VolumeObjectMetaClass->copyParentProperties();
}

void VolumeObject::shutdown() {
   delete VolumeObjectMetaClass;
}


// ----
