//---------------------------------------------------------------------------
#ifndef VolumeObjectH
#define VolumeObjectH
//---------------------------------------------------------------------------
#include "x3geometry.h"
//---------------------------------------------------------------------------
#include "PointCloud.h"
//---------------------------------------------------------------------------


namespace X4 {


/// scene object that describes volumetric data
class VolumeObject : public PointCloud {
 private:
   static MetaClass *VolumeObjectMetaClass;

 public:
   virtual const MetaClass *getInstanceClass() const;
   static const MetaClass *getClass();
   static void init(const MetaClass *parentClass);
   static void shutdown();
};


}



#endif
