//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "GLArbBox.h"
#include "LinearAlgebra.inline.h"
//---------------------------------------------------------------------------
using namespace X4;

void X4::drawGlArbCube(const Vector3f & center, const Vector3f & color, const float &sideLenghth){
   Vector3f sideX= makeVector3f(sideLenghth,0,0);
   Vector3f sideY= makeVector3f(0,sideLenghth,0);
   Vector3f sideZ= makeVector3f(0,0,sideLenghth);


   Vector3f corner1= center - makeVector3f(sideLenghth/2.0f, sideLenghth/2.0f, sideLenghth/2.0f);
   Vector3f corner2= corner1 + sideX;
   Vector3f corner3= corner2 + sideZ;
   Vector3f corner4= corner3 - sideX ;

   Vector3f corner5= corner1 + sideY;
   Vector3f corner6= corner2 + sideY;
   Vector3f corner7= corner3 + sideY;
   Vector3f corner8= corner4 + sideY;

   glBegin( GL_QUADS );

	  Vector3f temp=color;
	  void* dummy = (void*) glVertexAttrib3fvARB;
	  if (!dummy){
		  //glh_init_extensions("GL_ARB_vertex_program");

		  void* dummy2 = (void*) glVertexAttrib3fvARB;
		  if (!dummy2){
			glEnd();
			//debugOutput << "glVertexAttrib3fvARB ist NULL \n";
			return;
		  }
	  
	  }

      glVertexAttrib3fvARB( 3, &color[0]);
      glVertexAttrib4fARB( 2, center[0], center[1], center[2], sideLenghth);

      glVertexAttrib3fvARB( 1,  &(-sideY)[0] );
      glVertexAttrib3fvARB( 0,  &corner1[0] );
      glVertexAttrib3fvARB( 0,  &corner2[0] );
      glVertexAttrib3fvARB( 0,  &corner3[0] );
      glVertexAttrib3fvARB( 0,  &corner4[0] );

      glVertexAttrib3fvARB( 1,  &(-sideZ)[0] );
      glVertexAttrib3fvARB( 0,  &corner2[0] );
      glVertexAttrib3fvARB( 0,  &corner1[0] );
      glVertexAttrib3fvARB( 0,  &corner5[0] );
      glVertexAttrib3fvARB( 0,  &corner6[0] );

      glVertexAttrib3fvARB( 1,  &(sideZ)[0] );
      glVertexAttrib3fvARB( 0,  &corner3[0] );
      glVertexAttrib3fvARB( 0,  &corner4[0] );
      glVertexAttrib3fvARB( 0,  &corner8[0] );
      glVertexAttrib3fvARB( 0,  &corner7[0] );

      glVertexAttrib3fvARB( 1,  &(sideY)[0] );
      glVertexAttrib3fvARB( 0,  &corner6[0] );
      glVertexAttrib3fvARB( 0,  &corner5[0] );
      glVertexAttrib3fvARB( 0,  &corner8[0] );
      glVertexAttrib3fvARB( 0,  &corner7[0] );

      glVertexAttrib3fvARB( 1,  &(-sideX)[0] );
      glVertexAttrib3fvARB( 0,  &corner1[0] );
      glVertexAttrib3fvARB( 0,  &corner5[0] );
      glVertexAttrib3fvARB( 0,  &corner8[0] );
      glVertexAttrib3fvARB( 0,  &corner4[0] );

      glVertexAttrib3fvARB( 1,  &(sideX)[0] );
      glVertexAttrib3fvARB( 0,  &corner6[0] );
      glVertexAttrib3fvARB( 0,  &corner2[0] );
      glVertexAttrib3fvARB( 0,  &corner3[0] );
      glVertexAttrib3fvARB( 0,  &corner7[0] );


   glEnd();
}
