//---------------------------------------------------------------------------
#ifndef GLVolumeMaterialStandardH
#define GLVolumeMaterialStandardH
//---------------------------------------------------------------------------
#include "x3rendering.h"
//---------------------------------------------------------------------------
#include "GLMaterial.h"
//---------------------------------------------------------------------------

namespace X4
{

class X3RENDERING_API GLVolumeMaterialStandard : public GLMaterial
{
	X4_CLASS( GLVolumeMaterialStandard )
 public:

   GLVolumeMaterialStandard();
   virtual ~GLVolumeMaterialStandard();

   virtual void draw( Scene * scene, SceneGraphState *state, SceneObject * obj,
      SceneObjectIterator *iter, GLContext * context, MemoryManager * mm = NULL,
      const int32 includeFlags = 0, const int32 excludeFlags = PF_FLAG_INVALID );

   virtual void assign(const Object* obj, X4CopyContext *context=NULL );

};

}

#endif

