#ifndef InterpFunctionTextureAttachmentRGBEditorWidgetH 
#define InterpFunctionTextureAttachmentRGBEditorWidgetH
//---------------------------------------------------------------------------
#include "x3rendering.h"
//---------------------------------------------------------------------------
#include "ClassEditor.h"
#include "InterpFunctionTextureAttachmentRGBEditorForm_ui.h"
//---------------------------------------------------------------------------

namespace X4
{

class InterpFunctionTextureAttachmentRGB;
class ClassEditor;

class X3RENDERING_API InterpFunctionTextureAttachmentRGBEditorWidget : public QWidget
{
	Q_OBJECT

private:

	InterpFunctionTextureAttachmentRGB	*	m_Object;

	///used to access buttons, etc. from QtDesigner
	Ui_InterpFunctionTextureAttachmentRGBEditorForm ui;

	ClassEditor	*	m_Editors[3];
	QImage			m_PreviewImage;

public:
	InterpFunctionTextureAttachmentRGBEditorWidget(QWidget * parent = NULL, Qt::WindowFlags f=0);
	~InterpFunctionTextureAttachmentRGBEditorWidget(void);

	void setup( InterpFunctionTextureAttachmentRGB * obj );

	/// update editor content with object data
	void updateEditor();

protected:

	virtual void paintEvent( QPaintEvent * e);

public slots:

	void on_pbPreview_clicked();

};

MAKE_CLASS_EDITOR( X3RENDERING_API , InterpFunctionTextureAttachmentRGB )


}

#endif