#ifndef RGBATextureAttachmentEditorWidgetH 
#define RGBATextureAttachmentEditorWidgetH
//---------------------------------------------------------------------------
#include "x3rendering.h"
//---------------------------------------------------------------------------
#include "ClassEditor.h"
#include "RGBATextureAttachmentEditorForm_ui.h"
//---------------------------------------------------------------------------

namespace X4
{

class RGBATextureAttachment;

class X3RENDERING_API RGBATextureAttachmentEditorWidget : public QWidget
{
	Q_OBJECT

private:
   RGBATextureAttachment* m_TexAtt;
   QWidget* m_EditorWidget;
	QWidget* m_EditSettingsWidget;
   ClassEditor* m_Editor;
	ClassEditor* m_EditSettings;

	///used to access buttons, etc. from QtDesigner
	Ui_RGBATextureAttachmentEditorForm ui;


public:
	RGBATextureAttachmentEditorWidget(QWidget * parent = NULL, Qt::WindowFlags f=0);
	~RGBATextureAttachmentEditorWidget(void);

	void setup( RGBATextureAttachment * obj );

	/// update editor content with object data
	void updateEditor();


public slots:
   void sltBTUpdateClicked();


};

MAKE_CLASS_EDITOR( X3RENDERING_API , RGBATextureAttachment )


}

#endif

