//---------------------------------------------------------------------------
#ifndef SceneCreatorH
#define SceneCreatorH
//---------------------------------------------------------------------------
#include "x3rendering.h"
//---------------------------------------------------------------------------
#include "ClassCreator.h"
//---------------------------------------------------------------------------

namespace X4 {


class X3RENDERING_API SceneCreator : public ClassCreator {
 private:
   static MetaClass *SceneCreatorMetaClass;
   static Object* newInstance();

   bool createStdMaterials;

 public:
	SceneCreator();
	
   virtual const MetaClass *getInstanceClass() const;
   static const MetaClass *getClass();
   static void init(const MetaClass *parentClass);
   static void shutdown();

   virtual Object *makeObject();

};


}

#endif
