//---------------------------------------------------------------------------
#ifndef StandardMaterialsH
#define StandardMaterialsH
//---------------------------------------------------------------------------
#include "x3rendering.h"
//---------------------------------------------------------------------------

namespace X4 {

class GLShaderMaterial;
class Shader;

   GLShaderMaterial *makeDefaultCloudSelectionMaterial();
   void setDefaultCloudSelectionVertexShader(Shader *vShader);
   void setDefaultCloudSelectionPixelShader(Shader *pShader);

   GLShaderMaterial *makeDefaultPointSelectionMaterial();
   void setDefaultPointSelectionVertexShader(Shader *vShader);
   void setDefaultPointSelectionPixelShader(Shader *pShader);

   GLShaderMaterial *makeWhitePointsMaterial();
   GLShaderMaterial *makeColoredPointsMaterial();
   //GLShaderMaterial *makeNormalPointsMaterial();
   //GLShaderMaterial *makeColorNormalMaterial();
}

#endif
 