//---------------------------------------------------------------------------
#ifndef SGTimeStateChangerH
#define SGTimeStateChangerH
//---------------------------------------------------------------------------
#include "x3sceneGraph.h"
//---------------------------------------------------------------------------
#include "SGStateChanger.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   plz comment your class
///
class X3SCENEGRAPH_API SGTimeStateChanger : public SGStateChanger {
	X4_CLASS( SGTimeStateChanger )
 private:
	float32 oldTime;
	float32 newTime;

 public:
	SGTimeStateChanger();

	void setup(float32 newTime);

   virtual void doChange(SceneGraphState *state);
   virtual void undoChange(SceneGraphState *state);
};

}

#endif