//---------------------------------------------------------------------------
#include "stdafx.h"

//---------------------------------------------------------------------------
#include "SceneGraphIterators.h"
//---------------------------------------------------------------------------
 
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------



MetaClass* SceneGraphIterator::SceneGraphIteratorMetaClass = NULL;

const MetaClass* SceneGraphIterator::getInstanceClass() const {
   return getClass();
}

Object* SceneGraphIterator::newInstance() {
   return new SceneGraphIterator;
}

const MetaClass* SceneGraphIterator::getClass() {
   if (SceneGraphIteratorMetaClass==NULL) {
      SceneGraphIteratorMetaClass = new MetaClass("SceneGraphIterator", "no description.",
                                  newInstance, sizeof(SceneGraphIterator));
   }
   return SceneGraphIteratorMetaClass;
}

void SceneGraphIterator::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass);
   SceneGraphIteratorMetaClass->copyParentProperties();
}

void SceneGraphIterator::shutdown() {
   delete SceneGraphIteratorMetaClass;
}


// ----

 