//---------------------------------------------------------------------------
#ifndef DependentObjectH
#define DependentObjectH
//---------------------------------------------------------------------------
#include "x4core.h"
//---------------------------------------------------------------------------
#include "Object.h"
//---------------------------------------------------------------------------


namespace X4 {

class MonitoringObject {
 public:
   virtual void changed(Object* obj) = 0;
};

class DependentObject : public MonitoringObject { /* INTERFACE */
 public:
   virtual void removed(Object* obj) = 0;
};

}

#endif
 