#ifndef SingleClassPropertyH
#define SingleClassPropertyH
//---------------------------------------------------------------------------
#include "x4core.h"
//---------------------------------------------------------------------------
#include "ClassProperty.h"
//---------------------------------------------------------------------------


namespace X4
{

class X4CORE_API SingleClassProperty : public ClassProperty
{
	X4_CLASS(SingleClassProperty);
private:
	pointer_diff	m_Offset;	// offset to Object pointer

protected:
	SingleClassProperty() {m_Offset = NULL;}

public:
	SingleClassProperty(const std::string cName, const Version introducedInVersion);
	virtual ~SingleClassProperty(void);

	void setOffset( pointer_diff offset ) {m_Offset = offset;}
	pointer_diff getOffset() const {return m_Offset;}
};

}

#endif