SET_MODULE_TYPE_LOADABLE_MODULE
ADD_DEPENDENCY("x4basics")
ADD_DEPENDENCY("x4tools")
ADD_DEPENDENCY("x4modules")

ADD_AUTHOR("Michael Wand")
ADD_AUTHOR("Martin Bokeloh")
ADD_AUTHOR("Art Tevs")
ADD_AUTHOR("Alexander Berner")
ADD_AUTHOR("Mark Hoffman")
ADD_AUTHOR("Benjamin Maier")
ADD_AUTHOR("Arno Fleck")

ADD_INSTITUITION("WSI/GRIS, Tbingen University")
ADD_INSTITUITION("MPI Informatik Saarbrcken")

ADD_LICENSE("BSD")

ADD_ICON(":/images_core/images/x4core.png")

TAG_MODULE("CLASSES", "Object")

ADD_CLASS("ClassCreator", "Object")
ADD_CLASS("Persistent", "Object")
ADD_CLASS("AttachedDataContainer", "Persistent")
ADD_CLASS("MultiPartPersistent", "Persistent")
ADD_CLASS("ObjectDictionary", "Persistent")
ADD_CLASS("StreamClassTable", "Persistent")

ADD_CLASS("ClassProperty", "Object")
    ADD_CLASS("SingleClassProperty", "ClassProperty")

        ADD_CLASS_INC("Card8ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")
        ADD_CLASS_INC("Card16ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")
        ADD_CLASS_INC("Card32ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")
        ADD_CLASS_INC("Card64ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")

        ADD_CLASS_INC("Int8ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")
        ADD_CLASS_INC("Int16ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")
        ADD_CLASS_INC("Int32ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")
        ADD_CLASS_INC("Int64ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")

        ADD_CLASS_INC("Float32ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")
        ADD_CLASS_INC("Float64ClassProperty", "SingleClassProperty", "NumericalClassProperty.h")

        ADD_CLASS_INC("MaxPlatformIntClassProperty", "SingleClassProperty", "NumericalClassProperty.h")
        ADD_CLASS_INC("MaxPlatformCardClassProperty", "SingleClassProperty", "NumericalClassProperty.h")

        ADD_CLASS_INC("UnknownClassProperty", "SingleClassProperty", "UnknownProperty.h")

        ADD_CLASS("BooleanClassProperty", "SingleClassProperty")
        ADD_CLASS("StringClassProperty", "SingleClassProperty")

        ADD_CLASS("ObjectClassProperty", "SingleClassProperty")
        ADD_CLASS("EmbeddedObjectClassProperty", "SingleClassProperty")
        ADD_CLASS("ClassTypeClassProperty", "SingleClassProperty")

    ADD_CLASS("CompoundClassProperty", "ClassProperty")
        ADD_CLASS("VariableArrayClassProperty", "CompoundClassProperty")
        ADD_CLASS("FixedArrayClassProperty", "CompoundClassProperty")

    ADD_CLASS("ObjectListProperty", "ClassProperty")

ADD_CLASS("AttachedData", "Persistent")
    ADD_CLASS("StringAttachment", "AttachedData")
    ADD_CLASS("BinaryAttachment", "AttachedData")

ADD_CLASS("UnknownObject", "Persistent")

ADD_CLASS("StreamContext", "Persistent")

ADD_CLASS("PersistentSharedPtr", "Persistent")
ADD_CLASS_INC("PersistentSharedArray", "Persistent", "PersistentSharedPtr.h")

ADD_CLASS("Variant", "Persistent")
