//---------------------------------------------------------------------------
#ifndef EnumerationElementEditorH
#define EnumerationElementEditorH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include "ElementEditor.h"
#include "MetaClass.h"
//---------------------------------------------------------------------------

class QComboBox;

namespace X4
{

class Object;
class Card32ClassProperty;

class EnumerationElementEditor : public ElementEditor
{
	Q_OBJECT

private:

	QComboBox		     *m_Edit;
	Card32ClassProperty *m_Property;
	Object				  *m_Object;
	bool                 m_internalChange;

public:
	EnumerationElementEditor(QWidget * parent=NULL, Qt::WindowFlags f=0);

	/// setup in property mode
	void setup( Object * obj, pointer_diff offset, ClassProperty * prop, bool readOnly );

public slots:

	void sltIndexChanged( int i );

protected:

	/// update editor
	virtual void updateEditor();



};

}

#endif