#include "StdAfx.h"
#include "HelpBrowser.h"
#include "Configuration.h"

#if defined(WIN32) || defined(WIN64)
#include "shellapi.h"
#endif
//---------------------------------------------------------------------------



using namespace X4;


HelpBrowser::HelpBrowser(QWidget* parent)
:QTextBrowser(parent)
{

}

HelpBrowser::~HelpBrowser(void)
{
}

void HelpBrowser::setSource ( const QUrl & name ){
	if (!name.isValid())
		return;

	//catch 
	if (name.scheme() == QLatin1String("http") || name.scheme() == QLatin1String("ftp") || name.scheme() == QLatin1String("mailto")) {


		// temp hacky code
#if QT_VERSION >= 0x050000
#define QT_WA(unicode, ansi) unicode
#endif
#if defined(Q_OS_WIN32)
		QT_WA({
			ShellExecute((HWND)winId(), 0, (TCHAR*)name.toString().utf16(), 0, 0, SW_SHOWNORMAL);
		}, {
			ShellExecuteA((HWND)winId(), 0, name.toString().toLocal8Bit(), 0, 0, SW_SHOWNORMAL);
		});
			return;
#endif
	}
	QTextBrowser::setSource(name);

}

#include "HelpBrowser_moc.h"
