//---------------------------------------------------------------------------
#ifndef PopupWindowH
#define PopupWindowH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include <QWidget>
//---------------------------------------------------------------------------

namespace X4 {

class X4INTERFACE_API PopupWindow : public QWidget {
	Q_OBJECT

 private:
	bool idontcare;
	
 protected:
	#if defined(WIN32) || defined(WIN64)
	bool winEvent(MSG *message, long *result);
	#else
	void leaveEvent(QEvent *event);
	#endif
	
 public:
	PopupWindow(QWidget *parent);
	
	void popup(int x, int y);
	void popup(QWidget *belowThis);
};

}

#endif