#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "VariableArrayClassPropertyEditor.h"
//---------------------------------------------------------------------------
#include "VariableArrayElementEditor.h"
//---------------------------------------------------------------------------
using namespace X4;

IMPLEMENT_X4_CLASS( VariableArrayClassPropertyEditor, 0 )
{
}

VariableArrayClassPropertyEditor::VariableArrayClassPropertyEditor(void)
{
	m_ElementEditor = NULL;
}

QWidget * VariableArrayClassPropertyEditor::makeEditor(QWidget *parent, bool readOnly)
{
	x4Assert( m_Object != NULL );
	x4Assert( m_Property != NULL );
	x4Assert( m_ElementEditor == NULL );

	m_ElementEditor = new VariableArrayElementEditor( parent );
	m_ElementEditor->setup( m_Object, m_Offset, m_Property, readOnly );

	return m_ElementEditor;
}

void VariableArrayClassPropertyEditor::update()
{
	x4Assert( m_ElementEditor != NULL );
	m_ElementEditor->sltUpdate();
}

card32 VariableArrayClassPropertyEditor::getPreferredHeight()
{
	return m_ElementEditor->height();
}