#ifndef VariableArrayClassPropertyEditorH
#define VariableArrayClassPropertyEditorH
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include "PropertyEditor.h"
//---------------------------------------------------------------------------

namespace X4
{

class VariableArrayElementEditor;
	
class X4INTERFACE_API VariableArrayClassPropertyEditor : public PropertyEditor
{
	X4_CLASS( VariableArrayClassPropertyEditor )

private:
	VariableArrayElementEditor	*	m_ElementEditor;	

public:
	VariableArrayClassPropertyEditor(void);

	/// creates an editor
	virtual QWidget *makeEditor(QWidget * parent, bool readOnly);	

	/// update editor
	virtual void update();

   virtual card32 getPreferredHeight();

};

}

#endif