#pragma once
//---------------------------------------------------------------------------
#include "x4interface.h"
//---------------------------------------------------------------------------
#include <QScrollArea>
//---------------------------------------------------------------------------

namespace X4
{

/**
	holds a content widget and resizes it only in horizontal direction.
	vertical size is fixed by the content widgets height.
*/
class X4INTERFACE_API VerticalScrollView : public QScrollArea
{
   Q_OBJECT
private:

	QWidget * m_Content;

public:
	VerticalScrollView(QWidget * parent);

protected:

	void resizeEvent( QResizeEvent * e );
};

}