SET_MODULE_TYPE_LOADABLE_MODULE
ADD_DEPENDENCY("x4basics") 
ADD_DEPENDENCY("x4modules") 
ADD_DEPENDENCY("x4tools") 
ADD_DEPENDENCY("x4core")
ADD_DEPENDENCY("opencv")
ADD_DEPENDENCY("x4math")

ADD_AUTHOR("Michael Wand")
ADD_AUTHOR("Martin Bokeloh")
ADD_AUTHOR("Art Tevs")
ADD_AUTHOR("Alexander Berner")
ADD_AUTHOR("Mark Hoffman")
ADD_AUTHOR("Benjamin Maier")
ADD_AUTHOR("Arno Fleck")

ADD_INSTITUITION("MPI Informatik Saarbrcken")

ADD_LICENSE("BSD")

ADD_ICON(":/foundation/images/Icons/x4interface.png")

ADD_CLASS("BooleanPropertyEditor", "PropertyEditor")
ADD_CLASS("ClassEditor", "Object")
ADD_CLASS("ClassTypePropertyEditor", "PropertyEditor")
ADD_CLASS("EmbeddedObjectClassPropertyEditor", "PropertyEditor")
ADD_CLASS_INC("EmbeddedObjectClassPropertyInlineEditor", "PropertyEditor", "EmbeddedObjectClassPropertyEditor.h")
ADD_CLASS("EnumerationPropertyEditor", "PropertyEditor")
ADD_CLASS("EventCounterDisplay", "EventDisplayer")
ADD_CLASS("EventDisplayer", "Object")
ADD_CLASS_INC("StandardDirectoriesConfig", "AttachedData", "FileDialogs.h")
ADD_CLASS("FileNamePropertyEditor", "PropertyEditor")
ADD_CLASS("FixedArrayPropertyEditor", "PropertyEditor")
ADD_CLASS("MemberBrowser", "ClassEditor")
ADD_CLASS("MethodBrowser", "ClassEditor")
ADD_CLASS("ObjectListPropertyEditor", "PropertyEditor")
ADD_CLASS("ObjectPropertyEditor", "PropertyEditor")
ADD_CLASS("ProgressWindow", "Object")
ADD_CLASS("PropertyBrowser", "ClassEditor")
ADD_CLASS("PropertyEditor", "Object")
ADD_CLASS("SeparatorClassProperty", "SingleClassProperty")
ADD_CLASS("SeparatorPropertyEditor", "PropertyEditor")
ADD_CLASS("StandardTimeController", "Persistent")
ADD_CLASS("StringPropertyEditor", "PropertyEditor")
ADD_CLASS("UserSettings", "AttachedData")
ADD_CLASS("VariableArrayClassPropertyEditor", "PropertyEditor")
