//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "DynamicVectorClassProperty.h"
//---------------------------------------------------------------------------
#include <x4Tools.h>
#include <ObjectStreams.h>
//---------------------------------------------------------------------------
#if 0
using namespace X4;

DynamicVectorClassProperty::DynamicVectorClassProperty(const std::string cName, const Version introducedInVersion,
                                                 pointer_diff offset, ClassProperty * prop, card32 stride, card32 entriesPerRow)
                                                 :CompoundClassProperty(cName,introducedInVersion)
{
    m_ElementProperty = prop;
    m_Offset = offset;
    m_EntriesPerRow = entriesPerRow;
    m_Stride = stride;
}

DynamicVectorClassProperty::~DynamicVectorClassProperty()
{
    delete m_ElementProperty;
}

const std::string DynamicVectorClassProperty::getTypeName() const
{
    return "DynamicArray of " + m_ElementProperty->getTypeName();
}

const DynamicVector* DynamicVectorClassProperty::getDynamicVector(Object* obj, pointer_diff offset) const
{
    // for this we need to do do some pointer mathematics to find the DynamicVector in the given object
    // this is ugly, please do it better :)
    const DynamicVector* dv = static_cast<const DynamicVector*>(obj + offset + m_Offset);
    return dv;
}
DynamicVector* DynamicVectorClassProperty::getDynamicVector(Object* obj, pointer_diff offset)
{
    // for this we need to do do some pointer mathematics to find the DynamicVector in the given object
    // this is ugly, please do it better :)
    DynamicVector* dv = static_cast<DynamicVector*>(obj + offset + m_Offset);
    return dv;
}

void DynamicVectorClassProperty::writeProperty(const Object* obj, pointer_diff offset, OutputObjectStream *out) const
{
    getDynamicVector(obj, offset)->write(out);

    /*unsigned size = dv->getDim();
    for( unsigned i=0;i<size;i++ )
    {
        m_ElementProperty->writeProperty( obj, offset + calculateElementDiff(i), out );
    }*/
}

void DynamicVectorClassProperty::readProperty(Object* obj, pointer_diff offset, InputObjectStream *in) const
{
    getDynamicVector(obj, offset)->read(in);

    /*unsigned size = dv->getDim();
    for( unsigned i=0;i<size;i++ )
    {
        m_ElementProperty->readProperty( obj, offset + calculateElementDiff(i), in );
    }*/
}


std::string DynamicVectorClassProperty::toString(const Object* obj, pointer_diff offset) const
{
    //forget(obj);
    //return "DynamicArray::toString() not implemented.";
    return getDynamicVector(obj, offset)->toString();
}

void DynamicVectorClassProperty::fromString(Object* obj, pointer_diff offset, const std::string str) const
{
    forget(obj);
    forget( str );
}

void DynamicVectorClassProperty::assignProperty(const Object *from, Object *to, pointer_diff offset) const
{
    for( unsigned i=0;i<m_ArraySize;i++ )
    {
        pointer_diff diff = calculateElementDiff(i);
        m_ElementProperty->assignProperty( from, to , diff + offset);
    }
}


ClassProperty* DynamicVectorClassProperty::copyClassProperty()
{
    DynamicVectorClassProperty * ret = new DynamicVectorClassProperty;
    *ret = *this;
    ret->m_ElementProperty = m_ElementProperty->copyClassProperty();
    return ret;

}

pointer_diff DynamicVectorClassProperty::calculateElementDiff( unsigned i ) const
{
    return m_Offset + (pointer_diff)i*m_Stride;
}
#endif 
