//---------------------------------------------------------------------------
#ifndef MathIOToolsH
#define MathIOToolsH
//---------------------------------------------------------------------------
#include "x4math.h"
//---------------------------------------------------------------------------
#include "BoundingBox.h"
//---------------------------------------------------------------------------

namespace X4 {

class OutputObjectStream;
class InputObjectStream;

extern X4MATH_API void writeBoundingBox3f(OutputObjectStream *s, const BoundingBox3f &bb);
extern X4MATH_API void readBoundingBox3f(InputObjectStream *s, BoundingBox3f &bb);

}

#endif
