//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "RegressionLine3f.h"
//---------------------------------------------------------------------------
using namespace X4;


/**
 * Clear
 */
void RegressionLine3f::clear()
{
   pca.clear();
   Line3f::clear();
}

/**
 * Clear
 */
void RegressionLine3f::addPoint( Vector3f p )
{
   pca.addPoint( p );
}

/**
 * Clear
 */
bool RegressionLine3f::computeRegressionLine()
{
   Vector3f eigenValues;
	Matrix3f eigenVectors;
   pca.analyze( eigenValues, eigenVectors, point );
   dir = eigenVectors[0];
   return ( ( eigenValues[1] / eigenValues[0] ) < 1e-1 );
}
