#ifndef TriangleTriangleIntersectionH
#define TriangleTriangleIntersectionH
//---------------------------------------------------------------------------
#include "x4math.h"
//---------------------------------------------------------------------------
#include "LinearAlgebra.h"
//---------------------------------------------------------------------------

namespace X4
{
	// tests two triangles for intersection
	// if exists, the intersection line is stores in (intersectionPos0,intersectionPos1)
	bool X4MATH_API triangleIntersectsTriangle( const Vector3f &t0_p0, const Vector3f &t0_p1, const Vector3f &t0_p2,
		const Vector3f &t1_p0, const Vector3f &t1_p1, const Vector3f &t1_p2,
		Vector3f &intersectionPos0,Vector3f &intersectionPos1);	
}

#endif