//---------------------------------------------------------------------------
#ifndef IMPORT_TOOLS_H
#define IMPORT_TOOLS_H
//---------------------------------------------------------------------------
#include "x4miscFoundation.h"
#include "MathTools.h"
//---------------------------------------------------------------------------

namespace X4 {
	/// returns next numbered filename if exists, else an empty std::string. Example: input:"anim009.bmp" returns true if "anim010.bmp" or "anim0010.bmp" exist.
	std::string X4MISCFOUNDATION_API getExistingNextNumberedFileName( std::string previousNumberedFilename );
	/// Importer: Move on the end of line
   void X4MISCFOUNDATION_API skipToEOL( std::ifstream &in );
}

#endif