#include "StdAfx.h"

#include "x4miscFoundation.h"

#include <TaggingMacros.h>
#include <X4Types.h>

#include "x4miscFoundation_rcc.h"

using namespace X4;

#include "x4miscFoundation.init.cpp"
#include "CameraPathRecorder.h"



BEGIN_INIT_MODULE
    qInitResources();
	((GUIDescriptor*)CameraPathRecorder::getClass()->getGUIDescriptor())->addClassEditor(CameraPathRecorderEditor::getClass(), true);
END_INIT_MODULE 

BEGIN_SHUTDOWN_MODULE
END_SHUTDOWN_MODULE 

BEGIN_X4_LOADABLE_MODULE(x4miscFoundation)
	#include "x4miscFoundation.tags.h"
END_X4_LOADABLE_MODULE(x4miscFoundation)


