SET_MODULE_TYPE_LOADABLE_MODULE
// modules that the new module is based on. expand as required.
ADD_DEPENDENCY("x4basics")
ADD_DEPENDENCY("x4tools")
ADD_DEPENDENCY("x4modules")
ADD_DEPENDENCY("x4math")
ADD_DEPENDENCY("x4interface")
ADD_DEPENDENCY("x4core")
ADD_DEPENDENCY("opencv")

ADD_AUTHOR("Michael Wand")
ADD_AUTHOR("Martin Bokeloh")
ADD_AUTHOR("Art Tevs")
ADD_AUTHOR("Alexander Berner")
ADD_AUTHOR("Mark Hoffman")
ADD_AUTHOR("Benjamin Maier")
ADD_AUTHOR("Arno Fleck")

ADD_INSTITUITION("WSI/GRIS, Tbingen University")
ADD_INSTITUITION("MPI Informatik Saarbrcken")

// BSD is the default license. Choose carefully for your new module.
ADD_LICENSE("BSD")

// an icon for this module
ADD_ICON(":/images_x4miscFoundation/images/x4miscFoundation.png")

ADD_CLASS("Camera", "Persistent")
ADD_CLASS("CameraController", "Persistent")
ADD_CLASS("CameraPathRecorder", "CameraController")
ADD_CLASS("CmdObjMemberMethod", "CommandObject")
ADD_CLASS("CommandHistory", "Persistent")
ADD_CLASS("CommandObject", "Persistent")
ADD_CLASS("CommandObjMacro", "Persistent")
ADD_CLASS_INC("DVectorFObject", "Persistent", "DVectorObject.h")
ADD_CLASS_INC("DVectorIObject", "Persistent", "DVectorObject.h")
ADD_CLASS_INC("DVectorUBObject", "Persistent", "DVectorObject.h")
ADD_CLASS_INC("DVectorUObject", "Persistent", "DVectorObject.h")
ADD_CLASS_INC("DVectorUObjectList", "AttachedData", "DVectorObject.h")
ADD_CLASS("ExaminerCameraController", "CameraController")
ADD_CLASS("FreeCameraController", "CameraController")
ADD_CLASS("MemoryManagedAttachment", "AttachedData")
ADD_CLASS("ObjectAttachment", "AttachedData")
ADD_CLASS_INC("OneByteImage", "Persistent", "RGBAImage.h")
ADD_CLASS_INC("RGBACubeMap", "Persistent", "CubeMap.h")
ADD_CLASS_INC("RGBAFloat32Image", "Persistent", "RGBAImage.h")
ADD_CLASS("RGBAImage", "Persistent")
ADD_CLASS_INC("RGBImage", "Persistent", "RGBAImage.h")
ADD_CLASS_INC("StatisticEntry", "Persistent", "Statistics.h")
ADD_CLASS("Statistics", "Persistent")
ADD_CLASS("ViewFrustum", "Persistent")
ADD_CLASS("SimpleAttachment", "AttachedData")
