//---------------------------------------------------------------------------
#ifndef TimeControllerH
#define TimeControllerH
//---------------------------------------------------------------------------
#include "x4tools.h"
//---------------------------------------------------------------------------
#include "X4Types.h"
//---------------------------------------------------------------------------

namespace X4 {


class X4TOOLS_API TimeController { /* INTERFACE */
 public:
   /** create new time value after deltaTReal real time has passed since the lastTime-value was generated */
   virtual float32 getNewTime(float32 lastTime, float32 deltaTReal) = 0;
};

}

#endif
