#include "precompiledHeadersBasics.h"
//---------------------------------------------------------------------------
#include "InterfaceGlobals.h"
//#include "x4interface/misc/UserSettings.h"
//---------------------------------------------------------------------------
#include "X4Assert.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------


bool InterfaceGlobals::onceWin = false;
bool InterfaceGlobals::onceApp = false;
QWidget *InterfaceGlobals::mainWindow = NULL;
QApplication *InterfaceGlobals::app = NULL;
//UserSettings* InterfaceGlobals::settings = NULL;

void InterfaceGlobals::setMainWindow(QWidget *mainWindow) {
   x4Assert(!onceWin);
   onceWin = true;
   InterfaceGlobals::mainWindow = mainWindow;
}

QWidget *InterfaceGlobals::getMainWindow() {
   x4Assert(onceWin);
   return mainWindow;
}


void InterfaceGlobals::setApplication(QApplication *app) {
   x4Assert(!onceApp);
   onceApp = true;
   InterfaceGlobals::app = app;
}

QApplication *InterfaceGlobals::getApplication() {
   x4Assert(onceApp);
   return app;
}

