//---------------------------------------------------------------------------
#include "precompiledHeadersBasics.h"
//---------------------------------------------------------------------------
#include "UnitTests.h"
#include <ConsoleOutput.h>
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------


std::vector<UnitTest> UnitTests::tests;

std::vector<std::string> UnitTests::names;


void UnitTests::addTest(UnitTest test, std::string name) {
   tests.push_back(test);
   names.push_back(name);
}

card32 UnitTests::getNumTests() {
   return (card32)tests.size();
}

UnitTest UnitTests::getTest(card32 i) {
   return tests[i];
}


std::string UnitTests::getTestName(card32 i) {
   return names[i];
}




// UnitTests X4::unitTests;
// //---------------------------------------------------------------------------
// 
// void UnitTests::addUnitTest(UnitTest::Method test, const std::string& name, const std::string& module) {
// 	tests[module].push_back(UnitTest(test, name, module));
// }
// 
// size_t UnitTests::getNumUnitTests(const std::string& module) {
// 	return tests[module].size();
// }
// 
// UnitTest UnitTests::getUnitTest(const std::string& module, size_t i) {
// 	return tests[module][i];
// }
// 
// 
// void UnitTests::addTest(UnitTest::Method test, const std::string& name)
// {
// 	unitTests.addUnitTest(test, name, unitTests.getCurrentTestGroup());
// }
// 
// void UnitTests::addTest(UnitTest::Method test, const std::string& name, const std::string& module)
// {
// 	unitTests.addUnitTest(test, name, module);
// }
// 
