//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "Constraints.h"
//---------------------------------------------------------------------------
#include "EmbeddedObjectClassProperty.h"
using namespace X4;
//---------------------------------------------------------------------------


IMPLEMENT_X4_CLASS( ConstraintAnchor , 0 ) {
	BEGIN_CLASS_INIT( ConstraintAnchor );
	ADD_VECTOR3F_PROP(pos, 0);
	ADD_MAX_PLATFORM_INT_PROP(topologicalAnchor, 0)
}


IMPLEMENT_X4_CLASS( GeneralConstraint , 0 ) {
	BEGIN_CLASS_INIT( GeneralConstraint );
	ADD_EMBEDDED_OBJECT_PROP( anchor, 0, ConstraintAnchor::getClass());
}


IMPLEMENT_X4_CLASS( PositionConstraint, 0) {
	BEGIN_CLASS_INIT( PositionConstraint );
	ADD_VECTOR3F_PROP(toPoint, 0);
	ADD_MATRIX3F_PROP(covariance, 0);
	ADD_FLOAT32_PROP(time, 0);
}

IMPLEMENT_X4_CLASS( VelocityVectorConstraint, 0) {
	BEGIN_CLASS_INIT( VelocityVectorConstraint );
	ADD_FLOAT32_PROP(fromTime, 0);
	ADD_FLOAT32_PROP(toTime, 0);
	ADD_VECTOR3F_PROP(velocity, 0);
	ADD_MATRIX3F_PROP(covariance, 0);
}

IMPLEMENT_X4_CLASS( InstantaneousVelocityConstraint, 0) {
	BEGIN_CLASS_INIT( InstantaneousVelocityConstraint );
	ADD_FLOAT32_PROP(time, 0);
	ADD_VECTOR3F_PROP(instVelocity, 0);
}


