#ifndef PointWithDistH
#define PointWithDistH

#include "x3deformation.h"

namespace X4 {

class X3DEFORMATION_API PointWithDist {
public:
	PointWithDist(Vector3f p, Vector3f n, float32 sqrD) {
		normal = normalize(n);
		pos = p;
		sqrDist = sqrD;
	}
	Vector3f pos;
	Vector3f normal;
	float32 sqrDist;
};

}

#endif