//---------------------------------------------------------------------------
#ifndef RWDeformationTimeStepH
#define RWDeformationTimeStepH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "X4Types.h"
//---------------------------------------------------------------------------


namespace X4 {

class RWDeformationDiscretization;


/// One time step of the RW solver
class X3DEFORMATION_API RWDeformationTimeStep : public Persistent {
	X4_CLASS( RWDeformationTimeStep )
 private:
   std::vector<RWDeformationDiscretization*> discretizations;
   
 public:
	RWDeformationTimeStep();
	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
	~RWDeformationTimeStep();
};


}

#endif
