//---------------------------------------------------------------------------
#ifndef ConstraintsDialogH
#define ConstraintsDialogH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include <QtGui/QDialog>
//---------------------------------------------------------------------------
#include "ConstraintsDialog_ui.h"
//---------------------------------------------------------------------------

namespace X4 {

class GeneralARConstraint;


class ConstraintsDialog : public QDialog
{
	Q_OBJECT

private:
	Ui_ConstraintsDialog ui;
public:
	ConstraintsDialog(QWidget * parent = 0, Qt::WindowFlags f = 0);
	~ConstraintsDialog();

	static bool createConstraint(QWidget * parent, GeneralARConstraint *&result);
	
 private slots:
	void on_pbOk_clicked();
	void on_pbCancel_clicked();
};


}

#endif
