#ifndef BitVector8H
#define BitVector8H
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------

namespace X4
{

/**
	codes 8 independent states 
*/
class X3DEFORMATION_API BitVector8  
{


private:
	card8 vec;

public:
	BitVector8(void);
	void fromCard8(card8 init);
	void setBitTrue(card32 whichBit);
	bool getBit(card32 whichBit);
	bool allBitsTrue();
	bool allBitsFalse();
	void setAllBitsTrue();
	std::vector<card32> getTrueBits();
	card32 countTrueBits();

};

}

#endif