//---------------------------------------------------------------------------
#ifndef PCCLaplacianSurfaceProjectionH
#define PCCLaplacianSurfaceProjectionH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------


namespace X4 {


/// quick hack for sg2012 deadline :-)
class X3DEFORMATION_API PCCLaplacianSurfaceProjection : public PCCommand {
	X4_CLASS( PCCLaplacianSurfaceProjection )
 private:
   std::string source;
   std::string target;
   float32 regularizerWeight;
   float32 dataAttrWindow;
   bool biLaplacian;
 
 public:
	PCCLaplacianSurfaceProjection();
	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
   virtual void execute(Scene *scene);
	~PCCLaplacianSurfaceProjection();
};


}

#endif
