#ifndef DebugAnimationToolsH
#define DebugAnimationToolsH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace X4
{
class FeatureCorrespondenceSet;
class FeatureSet;
class RenderingTool;

/// Draws a correspondence set (corresponding points live in the given frames)
void X3DEFORMATION_API drawCorrespondenceSet( FeatureCorrespondenceSet * set, const Matrix4f &frame1, const Matrix4f &frame2);

/// Draws a feature set (feature points are transformed into the given frame)
void X3DEFORMATION_API drawFeatureSet( FeatureSet * set, const Matrix4f &frame, float size, RenderingTool * rt);


}

#endif