//---------------------------------------------------------------------------
#ifndef SGEDeformationSequenceH
#define SGEDeformationSequenceH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "SceneGraphEntity.h"
//---------------------------------------------------------------------------

namespace X4 {

///   mw - 09/27/2007
///
///   encapsulates scene graph representation a sequence of deformations of an (ur)shape
///
///   assumptions: (changed! - mw 12/18/07)
///     - path points to a SceneGraphNode
///     - this node and its subgraph encode the deformation sequence _somehow_
class X3DEFORMATION_API SGEDeformationSequence : public SceneGraphEntity {
	X4_CLASS( SGEDeformationSequence )
 private:

 public:
	SGEDeformationSequence();

	virtual bool check(std::string &msg) const;

   /// get number of frames in sequence
   virtual mpcard getNumFrames() const;

   ~SGEDeformationSequence();
};

}

#endif