//---------------------------------------------------------------------------
#ifndef ARRecomputeTopologyH
#define ARRecomputeTopologyH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace X4 {

class UnstructuredInCorePointCloud;
class ARSettings;

///
///   This class provides functionality to (re)compute the topology of point clouds
///
class X3DEFORMATION_API ARRecomputeTopology : public Persistent {
 public:
   /// the result is stored as a point cloud attachment
   static void recomputeTopology(UnstructuredInCorePointCloud *pc, const ARSettings *settings);
};

}

#endif