//---------------------------------------------------------------------------
#ifndef ARVisualizationSettingsH
#define ARVisualizationSettingsH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   This class stores settings for visualization of the optimization process
///
class X3DEFORMATION_API ARVisualizationSettings : public Persistent {
	X4_CLASS( ARVisualizationSettings )
 public:

	bool showVisualizations;
   bool showConstraints;	
 
	ARVisualizationSettings();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
};

}

#endif