//---------------------------------------------------------------------------
#ifndef DataToUrshapeH
#define DataToUrshapeH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "X4Types.h"
//---------------------------------------------------------------------------

namespace X4 {

class ARSequence;
class DeformationEvaluator;
class PointCloud;
class ARSettings;

///
///   project data into urshape domain
///
class X3DEFORMATION_API DataToUrshape {
 public:
   static UnstructuredInCorePointCloud *transfD2U(
      ARSequence *seq,
      std::vector<PointCloud *> data,
      DeformationEvaluator *deformEval,
      ARSettings *settings
   );
};

}

#endif