//---------------------------------------------------------------------------
#ifndef ARDataConstraintsDescriptorH
#define ARDataConstraintsDescriptorH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   this class describes a single data constraint
///
class X3DEFORMATION_API ARDataConstraintsDescriptor : public Persistent {
	X4_CLASS( ARDataConstraintsDescriptor )
 private:
	enum ConstraintType {
		ctGeometry, ct
	};

 public:
	ARDataConstraintsDescriptor();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);

   ~ARDataConstraintsDescriptor();
};

}

#endif