//---------------------------------------------------------------------------
#ifndef ARGlobalOptSettingsH
#define ARGlobalOptSettingsH
//---------------------------------------------------------------------------
#include "x3deformation.h"
//---------------------------------------------------------------------------
#include "Persistent.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   settings for how to run globalOpt in PCIAnimationReconstruction2
///
class X3DEFORMATION_API ARGlobalOptSettings : public Persistent {
	X4_CLASS( ARGlobalOptSettings )
 public:
   // --- main options
   bool optimizeShape;
   bool optimizeUrshapeDeformation;
   bool optimizeDeformation;
   bool removeUnsupportedPoints;
   
	ARGlobalOptSettings();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);

   ~ARGlobalOptSettings();
};

}

#endif