#ifndef ImportAnimationAssistantWidgetH
#define ImportAnimationAssistantWidgetH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include <QWidget>
//#include "X4Types.h"
//---------------------------------------------------------------------------
//this file is generated from the ui file by a custom buildstep, include it here
#include "ImportAnimationAssistantWidgetForm_ui.h"
//---------------------------------------------------------------------------

namespace X4
{

class PCCommand;
class ClassEditor;
class Scene;

class ImportAnimationAssistantWidget : public QWidget
{
	Q_OBJECT

private:
	PCCommand* m_PCCAnimationImporter;
	/// class editor of m_PCCImporter
   ClassEditor *m_PCCAnimationImporterEditor;
	/// class editor widget of m_PCCImporter
   QWidget *m_PCCAnimationImporterEditorWidget;

	/// holds scene for execute of PCCs
	Scene* scene;


public:
	ImportAnimationAssistantWidget(QWidget *parent, Scene* scene);
	~ImportAnimationAssistantWidget(void);


public slots:
	void on_PBExecute_clicked();


protected:
	///used to access buttons, etc. from QtDesigner
	Ui_ImportAnimationAssistantWidgetForm ui;


};


}

#endif
