//---------------------------------------------------------------------------
#ifndef PCCAnimRenameH
#define PCCAnimRenameH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
   rename a selected animation node to numbered frame sequence
*/
class X3EDITOR_API PCCAnimRename : public PCCommand {
	X4_CLASS( PCCAnimRename )

 private:
   std::string prefix;
   card32 startIndex;

 public:
	PCCAnimRename();

   virtual void execute(Scene *scene);

	virtual ~PCCAnimRename();
};

}

#endif