//---------------------------------------------------------------------------
#ifndef PCCConvToSwapAllOOCH
#define PCCConvToSwapAllOOCH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   converts point clouds to GenericSwapAllOOCPointClouds
///
class X3EDITOR_API PCCConvToSwapAllOOC : public PCCommand {
	X4_CLASS( PCCConvToSwapAllOOC )
 private:
	std::string filenamePrefix;
	std::string filenameSuffix;
	bool relativePath;

 public:
	PCCConvToSwapAllOOC();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
	virtual void execute(Scene *scene);

   ~PCCConvToSwapAllOOC();
};

}

#endif