#ifndef PCCImportAnalyzeH
#define PCCImportAnalyzeH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
	importer for raw volume data
*/
class X3EDITOR_API PCCImportAnalyze : public PCCommand
{
	X4_CLASS( PCCImportAnalyze )

private:

	std::string	m_MRIHdr;
	std::string	m_MRIImg;
	std::string	m_MaskImg;
	std::string	m_LabelImg;
	std::string	m_PointCloudName;

public:
	PCCImportAnalyze(void);
	~PCCImportAnalyze(void);

   virtual void assign(const Object* obj, X4CopyContext *context = NULL);

	virtual void execute(Scene * scene);

};

}

#endif