//---------------------------------------------------------------------------
#ifndef PCCSortListNodeH
#define PCCSortListNodeH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   sorts entries in SGListNodes (and descendants, such as animation nodes) by name
///
class X3EDITOR_API PCCSortListNode : public PCCommand {
	X4_CLASS( PCCSortListNode )
 private:
   bool descending;
   bool byLengthFirst;

 public:
	PCCSortListNode();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
   virtual void execute(Scene *scene);

   ~PCCSortListNode();
};

}

#endif