#ifndef PCCSwapChannelsH
#define PCCSwapChannelsH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
	swaps the values of two attribute channels
	channels must be of the same format
*/
class X3EDITOR_API PCCSwapChannels : public PCCommand {
	X4_CLASS( PCCSwapChannels )

private:
	std::string channel1;
	std::string channel2;

public:
	PCCSwapChannels();

   virtual void assign(const Object* obj, X4CopyContext *context = NULL);

   virtual void execute(Scene *scene);

	~PCCSwapChannels();

};

}

#endif