//---------------------------------------------------------------------------
#ifndef PCCVolumeGeneratorH
#define PCCVolumeGeneratorH
//---------------------------------------------------------------------------
#include "x3editor.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------
#include "RegularVolume.h"
//---------------------------------------------------------------------------
#include "RegularInCoreVolume.h"
//---------------------------------------------------------------------------
#include "Scene.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   plz comment your class
///
class X3EDITOR_API PCCVolumeGenerator : public PCCommand {
	X4_CLASS( PCCVolumeGenerator )
 private:
	/// Name
	std::string volumeName;

	card32 nVoxelsX,nVoxelsY,nVoxelsZ;
	Vector3f bbLL,bbUR;

 public:
	PCCVolumeGenerator();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);

   virtual void execute(Scene *scene);

   ~PCCVolumeGenerator();
};

}

#endif