#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "ManualImageFeatures.h"
#include "RGBAImage.h"
//---------------------------------------------------------------------------
// insert your includes here
//---------------------------------------------------------------------------
using namespace X4;

IMPLEMENT_X4_CLASS( ManualImageFeatures ,0)
{
	BEGIN_CLASS_INIT( ManualImageFeatures );
	ADD_OBJECT_PROP(image,0, RGBAImage::getClass(), true )
	ADD_VAR_ARRAY_PROP( imPoints, 0, 
	new FixedArrayClassProperty("element" , MetaClass::FIRST_VERSION, NULL, 
	                           new Float32ClassProperty("", 0, (pointer_diff)NULL, NULL) , 2, sizeof(float32), 2))
	ADD_VAR_ARRAY_PROP( imPoints_reProjected, 0, 
	new FixedArrayClassProperty("element" , MetaClass::FIRST_VERSION, NULL, 
	                           new Float32ClassProperty("", 0, (pointer_diff)NULL, NULL) , 2, sizeof(float32), 2))

							  }

ManualImageFeatures::ManualImageFeatures(void)
{
	image=new RGBAImage(1,1);
}

ManualImageFeatures::~ManualImageFeatures(void)
{
	delete image;
}

void ManualImageFeatures::assign(const Object* obj, X4CopyContext *context)
{
	Persistent::assign(obj,context);
	const ManualImageFeatures * o = dynamic_cast<const ManualImageFeatures*>(obj);
	x4Assert( o != NULL );

}