//---------------------------------------------------------------------------
#ifndef PCCApplySOTransformation_H
#define PCCApplySOTransformation_H
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------


namespace X4 {


/// This command applies the transformation stored in the selected point clouds to the points (vertices)
class X3EDITOR2_API PCCApplySOTransformation : public PCCommand {
	X4_CLASS( PCCApplySOTransformation )
 public:
	PCCApplySOTransformation();
	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
   virtual void execute(Scene *scene);

   static void applyTransformation(PointCloud *pc);

	~PCCApplySOTransformation();
};


}

#endif
