//---------------------------------------------------------------------------
#ifndef PCCImportGeoH
#define PCCImportGeoH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4 {

///
///   imports files in Peter & Sven's Wgele Geo Format
///
class X3EDITOR2_API PCCImportGeo : public PCCommand {
	X4_CLASS( PCCImportGeo )
 private:
   std::string filename;
   std::string targetNode;
   bool importAllCameraColors;
   card32 singleColorMode;
   
 public:
	PCCImportGeo();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
   virtual void execute(Scene *scene);

   ~PCCImportGeo();
};

}

#endif