//---------------------------------------------------------------------------
#ifndef PCCLargeTestSceneH
#define PCCLargeTestSceneH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
	creates a large amount of points
	usefull to test hierarchical point cloud containers
*/
class X3EDITOR2_API PCCLargeTestScene : public PCCommand
{
	X4_CLASS( PCCLargeTestScene )

private:
	float32 millionPtsToCreate;
	std::string target;
	bool showProgress;

public:
	PCCLargeTestScene(void);
   
   virtual void execute(Scene *scene);
   
	~PCCLargeTestScene(void);

};

}

#endif