//---------------------------------------------------------------------------
#ifndef PCCParametricPointCloudGeneratorH
#define PCCParametricPointCloudGeneratorH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
#include <string>
//---------------------------------------------------------------------------

namespace X4
{

class X3EDITOR2_API PCCParametricPointCloudGenerator : public PCCommand
{
private:

   static MetaClass *PCCParametricPointCloudGeneratorMetaClass;
   static Object* newInstance();

public:
   virtual const MetaClass *getInstanceClass() const;
   static const MetaClass *getClass();
   static void init(const MetaClass *parentClass);
   static void shutdown();

//   void write( OutputObjectStream * s ) const;
//   void read( InputObjectStream * s );

//   virtual void assign(const Object* obj, X4CopyContext *context=NULL );

   PCCParametricPointCloudGenerator();

   virtual void execute(Scene *scene);

private:

   card32   m_Width, m_Height;
   float32  m_SizeX,m_SizeY, m_NoiseZ;
   std::string   m_PCName;

   bool     m_GenerateFlags;
   bool     m_RandomColors;

};

};

#endif
 