//---------------------------------------------------------------------------
#ifndef PCCRegisterICP_H
#define PCCRegisterICP_H
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
#include "FSIcp.h"
//---------------------------------------------------------------------------


namespace X4 {


/// registers two or more point clouds via ICP
class X3EDITOR2_API PCCRegisterICP : public PCCommand {
	X4_CLASS( PCCRegisterICP )
 private:
   FSIcp *icp;
   bool allSelected;
   std::string obj1Path;
   std::string obj2Path;

   void registerRochus();
 
 public:
	PCCRegisterICP();
	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
   virtual void execute(Scene *scene);
	~PCCRegisterICP();
};


}

#endif
