//---------------------------------------------------------------------------
#ifndef PCCTwistH
#define PCCTwistH
//---------------------------------------------------------------------------
#include "x3editor2.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4
{

/**
	twists an object
*/
class X3EDITOR2_API PCCTwist : public PCCommand
{
	X4_CLASS( PCCTwist )

public:
	static const card32 AXIS_X = 0;
	static const card32 AXIS_Y = 1;
	static const card32 AXIS_Z = 2;

private:

	card32		axis;
	float32		angle_per_length;
	
public:
	PCCTwist(void);
	~PCCTwist(void);

   virtual void assign(const Object* obj, X4CopyContext *context = NULL);

   void	execute(Scene *scene);
};

}

#endif