//---------------------------------------------------------------------------
#ifndef ABS_ImageSynthH
#define ABS_ImageSynthH
//---------------------------------------------------------------------------
#include "x3foundation_private.h"
//---------------------------------------------------------------------------
#include "ABS_Framework.h"
//---------------------------------------------------------------------------
#include "LinearAlgebra.h"
//---------------------------------------------------------------------------

namespace X4
{

class X3FOUNDATION_PRIVATE_API TestImageSynthesizer : public ABS_ImageSynthesizer
{
private:
   void drawRect( Vector3f origin, Vector3f a, Vector3f b, Vector3f color );

public:

virtual void execute( GLRenderTextureCache * cache, GLImage * destImage, Scene * scene,
   ABS_ParameterVector * params  );

};

}

#endif
 