//---------------------------------------------------------------------------
#ifndef ABS_SimpleAnalysatorH
#define ABS_SimpleAnalysatorH
//---------------------------------------------------------------------------
#include "x3foundation_private.h"
//---------------------------------------------------------------------------
#include "ABS_Framework.h"
//---------------------------------------------------------------------------


namespace X4
{


class X3FOUNDATION_PRIVATE_API TestAnalysator : public ABS_Analysator
{

public:

   /// generates new set of #num vectors
   virtual void generateNewVectors(card32 num);

   /// returns the best parameter found
   virtual ABS_ParameterVector getBestVector();

};


}

#endif
 