#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "HQRLight.h"
//---------------------------------------------------------------------------
#include "FixedArrayClassProperty.h"
#include "CopyObjectProperties.h"
//---------------------------------------------------------------------------
using namespace X4;

IMPLEMENT_X4_CLASS( HQRLight ,0)
{
	BEGIN_CLASS_INIT( HQRLight );
	ADD_STRING_PROP( m_CameraName, 0 );
	ADD_VECTOR3F_PROP( m_Color, 0 );
	ADD_CARD32_PROP( m_NumSamples,0);
	ADD_FLOAT32_PROP( m_Size, 0 );
	ADD_FLOAT32_PROP( m_Strength, 0 );
}

HQRLight::HQRLight(void)
{
	m_Color = makeVector3f(1,1,1);
	m_NumSamples = 1;
	m_Size = 0.1f;
	m_Strength = 1.0f;
}

HQRLight::~HQRLight(void)
{
}

void HQRLight::assign(const Object* obj, X4CopyContext *context)
{
	//Persistent::assign(obj,context);
	const HQRLight * o = dynamic_cast<const HQRLight*>(obj);
	x4Assert( o != NULL );

	copyObjectProperties( obj, this );

}