//---------------------------------------------------------------------------
#include "stdafx.h"
//---------------------------------------------------------------------------
#include "ICPOctreeNode.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------

IMPLEMENT_X4_CLASS( ICPOctreeNode, 0 ) 
{
	BEGIN_CLASS_INIT( ICPOctreeNode );
}

ICPOctreeNode::ICPOctreeNode()
{
	m_children = NULL;
	m_index = -1;
	m_parent = NULL;
}

ICPOctreeNode::~ICPOctreeNode()
{
	deleteChildren();
}

void ICPOctreeNode::addChildren()
{
	m_children = new ICPOctreeNode[8];
	for ( unsigned int index = 0; index < 8; index++ ){
		m_children[index].m_index = index;
		m_children[index].m_parent = this;
	}
}

void ICPOctreeNode::deleteChildren()
{
	if ( m_children != NULL ){
		delete[] m_children;
		m_children=NULL;
	}
}

ICPOctreeNode* ICPOctreeNode::getChild(const int index) const 
{
	if(m_children==NULL) return(NULL);
	return(&(m_children[index]));
}