//---------------------------------------------------------------------------
#ifndef ObserverH
#define ObserverH
//---------------------------------------------------------------------------
#include "x3foundation_private.h"
//---------------------------------------------------------------------------
#include "Observable.h"
//---------------------------------------------------------------------------

namespace X4 {

class X3FOUNDATION_PRIVATE_API Observer
{
	protected:
		std::vector<Observable*> observables;
		QString id;			// String id used for identification at observable

	public:
		Observer();
		~Observer();

		void addObservable( Observable* observable ){ observables.push_back( observable ); }
		void updateObservables();

};

}

#endif