#ifndef PCCSurfaceReconToolsH
#define PCCSurfaceReconToolsH
//---------------------------------------------------------------------------
#include "x3foundation_private.h"
//---------------------------------------------------------------------------
#include "PCCommand.h"
//---------------------------------------------------------------------------

namespace X4
{
class MLSProjector;
class PointCloud;
/**
	some surface reconstruction methods
*/
class X3FOUNDATION_PRIVATE_API PCCSurfaceReconTools : public PCCommand
{
	X4_CLASS( PCCSurfaceReconTools )

private:

	MLSProjector	*	m_Projector;
	float32				m_TargetSampleSpacing;

	std::vector<PointCloud *> getSelectedPointClouds();

public:
	PCCSurfaceReconTools(void);
	~PCCSurfaceReconTools(void);

   virtual void assign(const Object* obj, X4CopyContext *context = NULL);

	void upsampleAndProject();

	void execute(Scene *scene) {}

};

}

#endif