#ifndef UnstructuredInCoreTriangleMeshManifoldH
#define UnstructuredInCoreTriangleMeshManifoldH
//---------------------------------------------------------------------------
#include "x3foundation_private.h"
//---------------------------------------------------------------------------
#include "UnstructuredInCorePointCloudManifold.h"
#include "UnstructuredInCoreTriangleMesh.h"
//---------------------------------------------------------------------------

namespace X4
{
	class MeshGeodesics;

/**
	plz comment your class
*/
class X3FOUNDATION_PRIVATE_API UnstructuredInCoreTriangleMeshManifold : public UnstructuredInCorePointCloudManifold
{
	X4_CLASS( UnstructuredInCoreTriangleMeshManifold )
protected:
	MeshGeodesics* mGeo;

	virtual float computeDistanceAndFillHash(mpcard i, mpcard j, std::vector<DVectorF>* path);
	virtual std::vector<float> computeDistancesAndFillHash(mpcard i, const std::vector<mpcard>& j, std::vector<std::vector<DVectorF>>* paths);

public:
	UnstructuredInCoreTriangleMeshManifold(void);
	virtual ~UnstructuredInCoreTriangleMeshManifold(void);
	UnstructuredInCoreTriangleMesh* getMesh();
	const UnstructuredInCoreTriangleMesh* getMesh() const;

	//virtual void assign(const Object* obj, X4CopyContext *context = NULL);
};

}

#endif