#include "StdAfx.h"

#include "x3foundation_private.h"

#include <TaggingMacros.h>
#include <X4Types.h>
#include "HighQualityRenderer.h"
#include "HighQualityRendererEditorWidget.h"
#include "HDRLightprobeSamplingEditorWidget.h"

#include "x3foundation_private_rcc.h"

using namespace X4;

#include "x3foundation_private.init.cpp"



BEGIN_INIT_MODULE
    qInitResources();

    ((GUIDescriptor*)HighQualityRenderer::getClass()->getGUIDescriptor())->addClassEditor(
    HighQualityRendererEditor::getClass(), true);

	 ((GUIDescriptor*)HDRLightprobeSampling::getClass()->getGUIDescriptor())->addClassEditor(
		 HDRLightprobeSamplingEditor::getClass(), true);

END_INIT_MODULE 

BEGIN_SHUTDOWN_MODULE
END_SHUTDOWN_MODULE 

BEGIN_X4_LOADABLE_MODULE(x3foundation_private)
#include "x3foundation_private.tags.h"
END_X4_LOADABLE_MODULE(x3foundation_private)


