//---------------------------------------------------------------------------
#include "StdAfx.h"
//---------------------------------------------------------------------------
#include "PointCloudIterators.h"
//---------------------------------------------------------------------------
#include "LinearAlgebra.inline.h"
#include "BoundingBox.inline.h"
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------



MetaClass* PointCloudIterator::PointCloudIteratorMetaClass = NULL;

const MetaClass* PointCloudIterator::getInstanceClass() const {
   return getClass();
}

const MetaClass* PointCloudIterator::getClass() {
   if (PointCloudIteratorMetaClass==NULL) {
      PointCloudIteratorMetaClass = new MetaClass("PointCloudIterator", "no description.",
                                                  NULL, sizeof(PointCloudIterator));
   }
   return PointCloudIteratorMetaClass;
}

void PointCloudIterator::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass);
   PointCloudIteratorMetaClass->copyParentProperties();
}

void PointCloudIterator::shutdown() {
   delete PointCloudIteratorMetaClass;
}


// ----


const float32 HierarchicalIterator::MAX_POINT_SPACING = 1E35f;

