#ifndef CubeTextureAttachmentEditorWidgetH 
#define CubeTextureAttachmentEditorWidgetH
//---------------------------------------------------------------------------
#include "x3rendering.h"
//---------------------------------------------------------------------------
#include "ClassEditor.h"
#include "CubeTextureAttachmentEditorForm_ui.h"
//---------------------------------------------------------------------------

namespace X4
{

class CubeTextureAttachment;
class ClassEditor;


class X3RENDERING_API CubeTextureAttachmentEditorWidget : public QWidget
{
	Q_OBJECT

private:
   CubeTextureAttachment *    m_CubeAtt;
   ClassEditor *  m_Editor;
   QWidget    *  m_EditorWidget;

	///used to access buttons, etc. from QtDesigner
	Ui_CubeTextureAttachmentEditorForm ui;


public:
	CubeTextureAttachmentEditorWidget(QWidget * parent = NULL, Qt::WindowFlags f=0);
	~CubeTextureAttachmentEditorWidget(void);

	void setup( CubeTextureAttachment * obj );

	/// update editor content with object data
	void updateEditor();


public slots:
   void sltBTUpdateClicked();
   void sltCBMagFilterLinearClicked();
   void sltCBMinFilterLinearClicked();


};


MAKE_CLASS_EDITOR( X3RENDERING_API , CubeTextureAttachment )

}

#endif


