//---------------------------------------------------------------------------
#ifndef GLVolumeMaterialGeneralH
#define GLVolumeMaterialGeneralH
//---------------------------------------------------------------------------
#include "x3rendering.h"
//---------------------------------------------------------------------------
#include "GLMaterial.h"
//---------------------------------------------------------------------------

namespace X4
{
class GLTexture3D;

class X3RENDERING_API GLVolumeMaterialGeneral : public GLMaterial
{
	X4_CLASS( GLVolumeMaterialGeneral )
 private:
	Shader *         m_VertexShader;
	Shader *         m_PixelShader;
	GLTexture3D *    m_Texture3D;

 public:

   GLVolumeMaterialGeneral();

   virtual ~GLVolumeMaterialGeneral();

   virtual void draw( Scene * scene, SceneGraphState *state, SceneObject * obj,
      SceneObjectIterator *iter, GLContext * context, MemoryManager * mm = NULL,
      const int32 includeFlags = 0, const int32 excludeFlags = PF_FLAG_INVALID ); //???

   virtual void assign(const Object* obj, X4CopyContext *context=NULL );
};

}

#endif

