//---------------------------------------------------------------------------
#include "stdafx.h"
 
//---------------------------------------------------------------------------
#include "Renderer.h"
//---------------------------------------------------------------------------
 
//---------------------------------------------------------------------------
using namespace X4;
//---------------------------------------------------------------------------


MetaClass* Renderer::RendererMetaClass = NULL;

const MetaClass* Renderer::getInstanceClass() const {
   return getClass();
}

const MetaClass* Renderer::getClass() {
   if (RendererMetaClass==NULL) {
      RendererMetaClass = new MetaClass("Renderer", "no description.",
                                             NULL, sizeof(Renderer));
   }
   return RendererMetaClass;
}

void Renderer::init(const MetaClass *parentClass) {
   ((MetaClass*)getClass())->init(parentClass);
   RendererMetaClass->copyParentProperties();
}

void Renderer::shutdown() {
   delete RendererMetaClass;
}


// ----

Renderer::Renderer(): scene(NULL), m_glContext(NULL),m_OffscreenRenderTarget(NULL) {
}

void Renderer::connect(Scene* scene, GLContext* ctxt){
   this->scene = scene;
   m_glContext=ctxt;
};

Renderer::~Renderer() {}

