//---------------------------------------------------------------------------
#ifndef SGSetVariable4FNodeH
#define SGSetVariable4FNodeH
//---------------------------------------------------------------------------
#include "x3sceneGraph.h"
//---------------------------------------------------------------------------
#include "LinearAlgebra.h"
#include "SGStateChangeNode.h"
//---------------------------------------------------------------------------


namespace X4 {


class X3SCENEGRAPH_API SGSetVariable4FNode : public SGStateChangeNode {
   X4_CLASS(SGSetVariable4FNode)

 private:
   std::string variable;
   Vector4f value;


 public:
   SGSetVariable4FNode();

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);
	Vector4f getValue() const {return value;}
	void setValue(Vector4f v) {value=v;}
	std::string getVariable() const {return variable;}
	void setVariable(std::string v) {variable=v;}


   virtual SGStateChanger *getNodeEntryStateChange(const SceneGraphState *state);
};


}

#endif
 