//---------------------------------------------------------------------------
#ifndef SGVariable4FStateChangerH
#define SGVariable4FStateChangerH
//---------------------------------------------------------------------------
#include "x3sceneGraph.h"
//---------------------------------------------------------------------------
#include "SGStateChanger.h"
#include "LinearAlgebra.h"
//---------------------------------------------------------------------------

namespace X4 {


class X3SCENEGRAPH_API SGVariable4FStateChanger : public SGStateChanger {
   X4_CLASS(SGVariable4FStateChanger)
 private:
   std::string name;
   Vector4f value;
   Vector4f oldValue;
   bool variablePresentBefore;

 public:
   SGVariable4FStateChanger(std::string name = "", const Vector4f &value = NULL_VECTOR4F);

	virtual void assign(const Object* obj, X4CopyContext *context = NULL);

   virtual void doChange(SceneGraphState *state);
   virtual void undoChange(SceneGraphState *state);
};


}

#endif
