SET_MODULE_TYPE_LOADABLE_MODULE

ADD_DEPENDENCY("opencv")
ADD_DEPENDENCY("x4basics")
ADD_DEPENDENCY("x4core")
ADD_DEPENDENCY("x4interface")
ADD_DEPENDENCY("x4math")
ADD_DEPENDENCY("x4miscFoundation")
ADD_DEPENDENCY("x4tools")
ADD_DEPENDENCY("x4modules")
ADD_DEPENDENCY("x3geometry")
ADD_DEPENDENCY("x3openGL")

ADD_AUTHOR("Michael Wand")
ADD_AUTHOR("Martin Bokeloh")
ADD_AUTHOR("Art Tevs")
ADD_AUTHOR("Alexander Berner")
ADD_AUTHOR("Mark Hoffman")
ADD_AUTHOR("Benjamin Maier")
ADD_AUTHOR("Arno Fleck")

ADD_INSTITUITION("WSI/GRIS, Tbingen University")
ADD_INSTITUITION("MPI Informatik Saarbrcken")

ADD_LICENSE("BSD")

// an icon for this module
ADD_ICON(":/images_x3sceneGraph/images/x3sceneGraph.png")

ADD_CLASS_INC("AttachedRenderObject", "AttachedData", "AttachedDataTypes.h")
ADD_CLASS_INC("AttachedDictionaryObject", "AttachedData", "AttachedDataTypes.h")
ADD_CLASS_INC("SceneGraphIterator", "Object", "SceneGraphIterators.h")
ADD_CLASS("StandardSceneGraphIterator", "SceneGraphIterator")
ADD_CLASS("SGNodeTypeFilterAdaptor", "SceneGraphIterator")
ADD_CLASS("SGSceneObjectFilterAdaptor", "SGNodeTypeFilterAdaptor")
ADD_CLASS("SGIndexedAndByNameSceneGraphIteratorAdaptor", "SceneGraphIterator")
ADD_CLASS("VisitSGNodesOnceIterator", "SceneGraphIterator")
ADD_CLASS("SceneGraphNode", "Persistent")
ADD_CLASS("SGListNode", "SceneGraphNode")
ADD_CLASS("SGAnimationNode", "SGListNode")
ADD_CLASS("SGSimpleAnimationNode", "SGAnimationNode")
ADD_CLASS("SGRelativeTimeAnimationNode", "SGAnimationNode")
ADD_CLASS("SGStateChangeNode", "SceneGraphNode")
ADD_CLASS("SGTransformationNode", "SGStateChangeNode")
ADD_CLASS("SGSetVariable4FNode", "SGStateChangeNode")
ADD_CLASS("SGObjectNode", "SceneGraphNode")
ADD_CLASS("SGCameraNode", "SceneGraphNode")
ADD_CLASS_INC("SGStaticState", "Persistent", "SceneGraphState.h")
ADD_CLASS_INC("SGDynamicState", "Persistent", "SceneGraphState.h")
ADD_CLASS("SceneGraphState", "Persistent")
ADD_CLASS("SGStateChanger", "Persistent")
ADD_CLASS("SGTransformationStateChanger", "SGStateChanger")
ADD_CLASS("SGVariable4FStateChanger", "SGStateChanger")
ADD_CLASS("Scene", "Persistent")
ADD_CLASS("GLMaterial", "Persistent")
ADD_CLASS("ProcessPointsCmdObj", "CommandObject")
